GNU bug report logs - #60640
Gnu: Add gdcm

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Tor-björn Claesson <tclaesson@HIDDEN>; Keywords: patch; dated Sun, 8 Jan 2023 01:23:03 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) patch. Request was from Bruno Victal <mirai@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 11 Jan 2023 06:08:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 11 01:08:14 2023
Received: from localhost ([127.0.0.1]:41562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pFUHW-00010Q-DH
	for submit <at> debbugs.gnu.org; Wed, 11 Jan 2023 01:08:14 -0500
Received: from mail-lf1-f52.google.com ([209.85.167.52]:40882)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tclaesson@HIDDEN>) id 1pFUHU-000106-6U
 for 60640 <at> debbugs.gnu.org; Wed, 11 Jan 2023 01:08:12 -0500
Received: by mail-lf1-f52.google.com with SMTP id g13so21952034lfv.7
 for <60640 <at> debbugs.gnu.org>; Tue, 10 Jan 2023 22:08:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:in-reply-to:date
 :subject:cc:to:from:user-agent:references:from:to:cc:subject:date
 :message-id:reply-to;
 bh=9fRBxKg0pKOBeEGIuN5jpifQAcrj6EGG0clY0wKGkIw=;
 b=oBCHXHmG/G+VCaxYynrzleNc8PZ90IZWFbp7Z9njOEyrLatKJ9jPeJgVHh5IuAyB77
 toK1OVrBFr3V5l7Y27FVakpAFdHftwRl2B5GeJeB0lIbjCXuOWNwKfw32dAEM3CpkmwV
 FFldXo/vkmivG8RkxUbsCseI5hCf9Qf5fjgG79ONkh+PiH4F3Q/+A1iwkVz2+XFG2l5c
 +04kfDF7ktT4C38+HimAiAWxxEzBrmYwf14EuiUTb1rD1ZPEY573fSrJPrBjobhub8iV
 i9D9b60zoQWEhJbIGPBEYXOLcJDABbtvNSSf7+9wt1m2IafEoP9GTPhw8DUYJCwHy9HM
 zqEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:in-reply-to:date
 :subject:cc:to:from:user-agent:references:x-gm-message-state:from:to
 :cc:subject:date:message-id:reply-to;
 bh=9fRBxKg0pKOBeEGIuN5jpifQAcrj6EGG0clY0wKGkIw=;
 b=6v982aL6LM7THpG6vxgb/WQaGKGt4WeBZjeoYmE/gVt92VNqtX3DOIpni5m6bVuMNG
 5V/YFdasvG/zomz9/8hJabb22FXGEKDbs6+U0YzNnVkcIjKpFi4myz2/lAeIdPRwA801
 8SESbEzSTYM/2VbNRKRGbawAOesvU3a3DbZKb6XunzA0vspR+TBhz4WKVDdVFFt5bc7t
 1lfySJuNgtmgk2Ka8NzQ/bp5Uc4aEwoF54ia3y9ndnXFgR2HF0C3eixLmUqCS7xU7I5d
 /hmXAkeUMh5KnrnT3qQPfZFZ4p0PwmA7kyST7DvozDB5VTTHgwqar7RhmgE6K9oAjz4g
 LZaw==
X-Gm-Message-State: AFqh2kptAiJ8GoBwZn4yhYnMbrS5+Pwj8YoKV/lrPdfGu0/pxKIIQNbr
 60gBrikvHBRlqp2EaqgmPaQ=
X-Google-Smtp-Source: AMrXdXubscC2nW8mlPEDVTehS5DR1kYxlmSksK0kWHMpfLNQL7gDrxBw1aqgkJWvsDKvMukn8hX7vg==
X-Received: by 2002:a19:6b08:0:b0:4b6:edef:183b with SMTP id
 d8-20020a196b08000000b004b6edef183bmr18410538lfa.11.1673417285783; 
 Tue, 10 Jan 2023 22:08:05 -0800 (PST)
Received: from barbar (212-90-81-204.bb.dnainternet.fi. [212.90.81.204])
 by smtp.gmail.com with ESMTPSA id
 i4-20020ac25d24000000b004b578e52d81sm2546288lfb.176.2023.01.10.22.08.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 10 Jan 2023 22:08:05 -0800 (PST)
References: <877cxyp1wf.fsf@HIDDEN> <87y1qaxhh7.fsf@nckx>
User-agent: mu4e 1.8.13; emacs 28.2
From: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#60640] Gnu: Add gdcm
Date: Wed, 11 Jan 2023 07:29:10 +0200
In-reply-to: <87y1qaxhh7.fsf@nckx>
Message-ID: <87o7r5li2j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60640
Cc: 60640 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi!

Tobias Geerinckx-Rice <me@HIDDEN> writes:
>
>> 3. It does not perform tests.
>
> OK, I'll take a look.
>
> If tests are disabled, the reason should always be noted in a comment.
> Even if it's just =E2=80=98; no test suite=E2=80=99.
>

#:tests? #t makes the build fail with "make: *** No rule to make target
 'test'.  Stop."
=20
GDCM has nightly regression tests
(https://open.cdash.org/index.php?project=3DGDCM), should we try to run
those when building? I have tried to find out how to do this but for now
with no success. Maybe it is obvious to more experienced people?

>> +(define-public gdcm
>
> It used to be common to unconditionally add packages to the end of
> files, but this needlessly increased the risk of merge conflicts.
>
> Instead, just add them wherever they first fit alphabetically; here, I
> put it above =E2=80=98mia=E2=80=99.
>

Ok, will do from now on!

>> +    (version "3.0.20")
>
> =E2=80=98guix lint=E2=80=99 says this can be updated to 3.1.0 but I didn'=
t try, as I'd
> rather it be tested by an actual user =E2=80=94 i.e., you.
>

I got that too, but the latest release in git is 3.0.20

>> + "1w78cmm9q7aavs7svdkl4dgilcqk4yazci9m6x7icrssb7cj991i"))))
>> +    (build-system cmake-build-system)
>> +    (outputs '("out" "doc"))
>
> /share/doc wasn't actually installed into "doc", but to "out", so I
> set the GDCM_INSTALL_DOC_DIR configure flag.
>
>> +    (arguments
>> +     (list #:tests? #f
>> +           #:phases #~(modify-phases %standard-phases
>> +                        (add-before 'configure 'set-LDFLAGS
>> +                          (lambda* (#:key inputs outputs
>> #:allow-other-keys)
>> +                            (setenv "LDFLAGS"
>> +                                    (string-append "-Wl,-rpath=3D"
>> +                                                   #$output
>> "/lib"))))
>> +                        (add-before 'build 'patch-gdcm-charls.h
>> +                          (lambda _
>> +                            (substitute*
>> "../source/Utilities/gdcm_charls.h"
>> +                              (("# include <CharLS/charls.h>")

Ah, good catch!

>
> Purely as a matter of taste I dropped the =E2=80=98# include =E2=80=99 fr=
om both
> strings and escaped the =E2=80=98.=E2=80=99 in the regexp.
>
>> +                               "# include <charls/charls.h>"))
>> #t)))
>
> =E2=80=98#t=E2=80=99 endings are also obsolete.  Just drop them entirely.=
  Phases can
> now safely return anything, including nothing or undefined.
>
> I added the following phase to work around log spam, since I didn't
> find its source (nor did I look very hard) [edit: it was indeed
> graphviz, thanks].  By default, $HOME is not writable in the build
> environment.
>
>  (add-before 'build 'set-HOME
>    ;; The build spams =E2=80=98Fontconfig error: No writable cache
>    ;; directories=E2=80=99 in a seemingly endless loop otherwise.
>    (lambda _
>      (setenv "HOME" "/tmp")))
>
>> +           #:configure-flags #~(list "-DCMAKE_SKIP_RPATH:BOOL=3DYES"

Is this needed, btw? It came from gdcm:s packaging
instructions. Removing it causes no verify-runpath issues.

>
> I, opinionated, added newlines after #:phases and #:configure-flags.
>
> Some people like the =E2=80=98extreme indentation=E2=80=99 you get by thr=
owing away
> half of your screen width.  I find it leads to cramped code and noisy
> patches once the phases need to get actual work done or an even longer
> CMAKE_ flag comes along.
>
> I also added some newlines and tried to group related flags.
>

Thanks, I didn't know that would make the line fit better on
screen. Much neater=3D)

>> + "-DCMAKE_C_FLAGS=3D-fvisibility=3Dhidden"
>> + "-DCMAKE_CXX_FLAGS=3D-fvisibility=3Dhidden"
>
> Should these be explained in a very brief comment?
>

They are from https://github.com/malaterre/GDCM/blob/master/PACKAGER,
the explanation is:
"This make sure that on UNIX, the API is actually identical at what is foun=
d on Windows."

>
> Thank you for building with system libraries!  Also remove the bundled
> copies when possible.  I did so in a (rather strict) source snippet.
>

Ok, neat=3D)

>> + "-DGDCM_PDF_DOCUMENTATION:BOOL=3DOFF"
>
> I cannot get the man pages to build, either.  They need something
> called =E2=80=98xsl-ns=E2=80=99.  I've disabled GDCM_BUILD_DOCBOOK_MANPAG=
ES for now.
>
>> + "-DGCM_BUILD_TESTING:BOOL=3DOFF"
>
> Why is this set?  It's reported by CMake as having no effect, and a
> diff of the output confirms that.
>

From the old wiki:

"This boolean is responsible for deciding whether or not to build/run the
nightly regression test of gdcm. Warning when turning this option on,
the size of the gdcm libraries will be bigger since some extra code are
compiled in for the testing framework (see gdcm::Testing, and the md5
lib)."

This seems to be incorrect then, maybe we can skip it.

>> +    (license license:bsd-3)))
>
> I still need to check this.
>

https://github.com/malaterre/GDCM/blob/master/Copyright.txt

I'm not able to apply your new patch, but that is probably a fault on my pa=
rt.

Thanks a lot for sharing your time and knowledge, and for making this
patch neater! I find this a lot of fun, but have no experience
with scheme or packaging, so your explanations are very valuable to me.

Cheers
Tor-bj=C3=B6rn




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Jan 2023 06:08:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 11 01:08:15 2023
Received: from localhost ([127.0.0.1]:41564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pFUHW-00010S-Ur
	for submit <at> debbugs.gnu.org; Wed, 11 Jan 2023 01:08:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:35286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tclaesson@HIDDEN>) id 1pFUHV-00010J-4J
 for submit <at> debbugs.gnu.org; Wed, 11 Jan 2023 01:08:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tclaesson@HIDDEN>)
 id 1pFUHT-0008LJ-Q9
 for guix-patches@HIDDEN; Wed, 11 Jan 2023 01:08:12 -0500
Received: from mail-lf1-x12b.google.com ([2a00:1450:4864:20::12b])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <tclaesson@HIDDEN>)
 id 1pFUHQ-0006xw-3G
 for guix-patches@HIDDEN; Wed, 11 Jan 2023 01:08:10 -0500
Received: by mail-lf1-x12b.google.com with SMTP id f34so21912206lfv.10
 for <guix-patches@HIDDEN>; Tue, 10 Jan 2023 22:08:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:in-reply-to:date
 :subject:cc:to:from:user-agent:references:from:to:cc:subject:date
 :message-id:reply-to;
 bh=9fRBxKg0pKOBeEGIuN5jpifQAcrj6EGG0clY0wKGkIw=;
 b=oBCHXHmG/G+VCaxYynrzleNc8PZ90IZWFbp7Z9njOEyrLatKJ9jPeJgVHh5IuAyB77
 toK1OVrBFr3V5l7Y27FVakpAFdHftwRl2B5GeJeB0lIbjCXuOWNwKfw32dAEM3CpkmwV
 FFldXo/vkmivG8RkxUbsCseI5hCf9Qf5fjgG79ONkh+PiH4F3Q/+A1iwkVz2+XFG2l5c
 +04kfDF7ktT4C38+HimAiAWxxEzBrmYwf14EuiUTb1rD1ZPEY573fSrJPrBjobhub8iV
 i9D9b60zoQWEhJbIGPBEYXOLcJDABbtvNSSf7+9wt1m2IafEoP9GTPhw8DUYJCwHy9HM
 zqEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:in-reply-to:date
 :subject:cc:to:from:user-agent:references:x-gm-message-state:from:to
 :cc:subject:date:message-id:reply-to;
 bh=9fRBxKg0pKOBeEGIuN5jpifQAcrj6EGG0clY0wKGkIw=;
 b=eeQGaw1xU+2GOrck/RA9hpsT2Zdhlhznidl0ltx36RT+DiyhZOSIfu7q5Zruu3OaHo
 AVDgnK0OoCGrO7ximWT6t31s4ednP3ugDxrgzhHk+VGr7O/+3Au9Am6zjWWeRnYrU4kI
 YVU47SBPR8/HDmKUrr1ovKIbfE3Byl4/gMR+N7i3BXmWubBe3CDm6PuMvBCsAw6Dqrxd
 zwE1GVIcEAXatH5GuGMhumk5VRYNNksEPurhSDGiuZoVujw1oppUfr7JUOqXE+UWM5Ny
 20g+VWa9stHygIsNTRxfsM47plQQ4OetqpeHPneoo1wpSRk8Jh98fyfKW+glEMcAyLNa
 rGGw==
X-Gm-Message-State: AFqh2krx3fEa4owX7Zaa/2gdoLFeUzIhLIP+NsKiExAO7WOdHDcLjKsS
 Ti/2U9SHjRBeixKwUTF/PyVvdiXduQM=
X-Google-Smtp-Source: AMrXdXubscC2nW8mlPEDVTehS5DR1kYxlmSksK0kWHMpfLNQL7gDrxBw1aqgkJWvsDKvMukn8hX7vg==
X-Received: by 2002:a19:6b08:0:b0:4b6:edef:183b with SMTP id
 d8-20020a196b08000000b004b6edef183bmr18410538lfa.11.1673417285783; 
 Tue, 10 Jan 2023 22:08:05 -0800 (PST)
Received: from barbar (212-90-81-204.bb.dnainternet.fi. [212.90.81.204])
 by smtp.gmail.com with ESMTPSA id
 i4-20020ac25d24000000b004b578e52d81sm2546288lfb.176.2023.01.10.22.08.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 10 Jan 2023 22:08:05 -0800 (PST)
References: <877cxyp1wf.fsf@HIDDEN> <87y1qaxhh7.fsf@nckx>
User-agent: mu4e 1.8.13; emacs 28.2
From: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: [bug#60640] Gnu: Add gdcm
Date: Wed, 11 Jan 2023 07:29:10 +0200
In-reply-to: <87y1qaxhh7.fsf@nckx>
Message-ID: <87o7r5li2j.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::12b;
 envelope-from=tclaesson@HIDDEN; helo=mail-lf1-x12b.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 60640 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Hi!

Tobias Geerinckx-Rice <me@HIDDEN> writes:
>
>> 3. It does not perform tests.
>
> OK, I'll take a look.
>
> If tests are disabled, the reason should always be noted in a comment.
> Even if it's just =E2=80=98; no test suite=E2=80=99.
>

#:tests? #t makes the build fail with "make: *** No rule to make target
 'test'.  Stop."
=20
GDCM has nightly regression tests
(https://open.cdash.org/index.php?project=3DGDCM), should we try to run
those when building? I have tried to find out how to do this but for now
with no success. Maybe it is obvious to more experienced people?

>> +(define-public gdcm
>
> It used to be common to unconditionally add packages to the end of
> files, but this needlessly increased the risk of merge conflicts.
>
> Instead, just add them wherever they first fit alphabetically; here, I
> put it above =E2=80=98mia=E2=80=99.
>

Ok, will do from now on!

>> +    (version "3.0.20")
>
> =E2=80=98guix lint=E2=80=99 says this can be updated to 3.1.0 but I didn'=
t try, as I'd
> rather it be tested by an actual user =E2=80=94 i.e., you.
>

I got that too, but the latest release in git is 3.0.20

>> + "1w78cmm9q7aavs7svdkl4dgilcqk4yazci9m6x7icrssb7cj991i"))))
>> +    (build-system cmake-build-system)
>> +    (outputs '("out" "doc"))
>
> /share/doc wasn't actually installed into "doc", but to "out", so I
> set the GDCM_INSTALL_DOC_DIR configure flag.
>
>> +    (arguments
>> +     (list #:tests? #f
>> +           #:phases #~(modify-phases %standard-phases
>> +                        (add-before 'configure 'set-LDFLAGS
>> +                          (lambda* (#:key inputs outputs
>> #:allow-other-keys)
>> +                            (setenv "LDFLAGS"
>> +                                    (string-append "-Wl,-rpath=3D"
>> +                                                   #$output
>> "/lib"))))
>> +                        (add-before 'build 'patch-gdcm-charls.h
>> +                          (lambda _
>> +                            (substitute*
>> "../source/Utilities/gdcm_charls.h"
>> +                              (("# include <CharLS/charls.h>")

Ah, good catch!

>
> Purely as a matter of taste I dropped the =E2=80=98# include =E2=80=99 fr=
om both
> strings and escaped the =E2=80=98.=E2=80=99 in the regexp.
>
>> +                               "# include <charls/charls.h>"))
>> #t)))
>
> =E2=80=98#t=E2=80=99 endings are also obsolete.  Just drop them entirely.=
  Phases can
> now safely return anything, including nothing or undefined.
>
> I added the following phase to work around log spam, since I didn't
> find its source (nor did I look very hard) [edit: it was indeed
> graphviz, thanks].  By default, $HOME is not writable in the build
> environment.
>
>  (add-before 'build 'set-HOME
>    ;; The build spams =E2=80=98Fontconfig error: No writable cache
>    ;; directories=E2=80=99 in a seemingly endless loop otherwise.
>    (lambda _
>      (setenv "HOME" "/tmp")))
>
>> +           #:configure-flags #~(list "-DCMAKE_SKIP_RPATH:BOOL=3DYES"

Is this needed, btw? It came from gdcm:s packaging
instructions. Removing it causes no verify-runpath issues.

>
> I, opinionated, added newlines after #:phases and #:configure-flags.
>
> Some people like the =E2=80=98extreme indentation=E2=80=99 you get by thr=
owing away
> half of your screen width.  I find it leads to cramped code and noisy
> patches once the phases need to get actual work done or an even longer
> CMAKE_ flag comes along.
>
> I also added some newlines and tried to group related flags.
>

Thanks, I didn't know that would make the line fit better on
screen. Much neater=3D)

>> + "-DCMAKE_C_FLAGS=3D-fvisibility=3Dhidden"
>> + "-DCMAKE_CXX_FLAGS=3D-fvisibility=3Dhidden"
>
> Should these be explained in a very brief comment?
>

They are from https://github.com/malaterre/GDCM/blob/master/PACKAGER,
the explanation is:
"This make sure that on UNIX, the API is actually identical at what is foun=
d on Windows."

>
> Thank you for building with system libraries!  Also remove the bundled
> copies when possible.  I did so in a (rather strict) source snippet.
>

Ok, neat=3D)

>> + "-DGDCM_PDF_DOCUMENTATION:BOOL=3DOFF"
>
> I cannot get the man pages to build, either.  They need something
> called =E2=80=98xsl-ns=E2=80=99.  I've disabled GDCM_BUILD_DOCBOOK_MANPAG=
ES for now.
>
>> + "-DGCM_BUILD_TESTING:BOOL=3DOFF"
>
> Why is this set?  It's reported by CMake as having no effect, and a
> diff of the output confirms that.
>

From the old wiki:

"This boolean is responsible for deciding whether or not to build/run the
nightly regression test of gdcm. Warning when turning this option on,
the size of the gdcm libraries will be bigger since some extra code are
compiled in for the testing framework (see gdcm::Testing, and the md5
lib)."

This seems to be incorrect then, maybe we can skip it.

>> +    (license license:bsd-3)))
>
> I still need to check this.
>

https://github.com/malaterre/GDCM/blob/master/Copyright.txt

I'm not able to apply your new patch, but that is probably a fault on my pa=
rt.

Thanks a lot for sharing your time and knowledge, and for making this
patch neater! I find this a lot of fun, but have no experience
with scheme or packaging, so your explanations are very valuable to me.

Cheers
Tor-bj=C3=B6rn




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 10 Jan 2023 20:26:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 10 15:26:31 2023
Received: from localhost ([127.0.0.1]:41213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pFLCZ-0002To-0l
	for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 15:26:31 -0500
Received: from tobias.gr ([80.241.217.52]:52550)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1pFLCS-0002Ta-N6
 for 60640 <at> debbugs.gnu.org; Tue, 10 Jan 2023 15:26:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=rhtGKdVtCXDUJ
 ruUh07HdRwx16+SzRH6DBMIfI+BCaQ=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=YsP5BxBxHfCwnePXxgCMd0XPCAESitDqBb5NLh
 SAs0xXsym3aAMgCNUBFnwAsvhS5Y3zM5kjjyUtMsYhdWaeM/dJWIOLTYc6Jut3dM7LgQd5
 xxrNI6TpJL56/efzWgsA94fG10eiuB3RrvvL5yzhZk3QN0E3NJlf4UaMXzB3Y2KPZTR+V/
 f29PHmB89eIw9ZA5fbbtk6ER3Rg/C30fPb3ukTHWwq+Z9Q7wmjwaQFK1/nec15HhoUK1Q7
 NVyE0C0W09+lKWaWUIeoSUgzhSm53Kedi6o60XSqqaSrl8KB4W5ycu78YFD7Un8QjgpIcY
 OXAOS6knlNN68is8ko3ZifxA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 27214356
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 10 Jan 2023 20:26:18 +0000 (UTC)
References: <877cxyp1wf.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
Subject: Re: [bug#60640] Gnu: Add gdcm
Date: Tue, 10 Jan 2023 15:52:49 +0100
In-reply-to: <877cxyp1wf.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87y1qaxhh7.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tor-björn Claesson 写道: > 1. I have not yet been able
    to build the bin output, > which consists of utilities for manipulating DICOM
    data. OK, I'll take a look. > 2. It does not build pdf-documentation, since
    that would require > texlive as a native input. 
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
  0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
X-Debbugs-Envelope-To: 60640
Cc: 60640 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tor-bj=C3=B6rn Claesson =E5=86=99=E9=81=93=EF=BC=9A
> 1. I have not yet been able to build the bin output,
> which consists of utilities for manipulating DICOM data.=20

OK, I'll take a look.

> 2. It does not build pdf-documentation, since that would require
> texlive as a native input.

OK.  You can add this sort of information as a comment by the=20
relevant line, so it doesn't get lost (even during review :-).

> 3. It does not perform tests.

OK, I'll take a look.

If tests are disabled, the reason should always be noted in a=20
comment.  Even if it's just =E2=80=98; no test suite=E2=80=99.

> 4. It uses socketxx, ljpeg and papyrus3 from the gdcm sources.

Here too I've punted on that by just adding a comment for now.

> +(define-public gdcm

It used to be common to unconditionally add packages to the end of=20
files, but this needlessly increased the risk of merge conflicts.

Instead, just add them wherever they first fit alphabetically;=20
here, I put it above =E2=80=98mia=E2=80=99.

> +    (version "3.0.20")

=E2=80=98guix lint=E2=80=99 says this can be updated to 3.1.0 but I didn't =
try, as=20
I'd rather it be tested by an actual user =E2=80=94 i.e., you.

> +=20
> "1w78cmm9q7aavs7svdkl4dgilcqk4yazci9m6x7icrssb7cj991i"))))
> +    (build-system cmake-build-system)
> +    (outputs '("out" "doc"))

/share/doc wasn't actually installed into "doc", but to "out", so=20
I set the GDCM_INSTALL_DOC_DIR configure flag.

> +    (arguments
> +     (list #:tests? #f
> +           #:phases #~(modify-phases %standard-phases
> +                        (add-before 'configure 'set-LDFLAGS
> +                          (lambda* (#:key inputs outputs=20
> #:allow-other-keys)
> +                            (setenv "LDFLAGS"
> +                                    (string-append=20
> "-Wl,-rpath=3D"
> +                                                   #$output=20
> "/lib"))))
> +                        (add-before 'build 'patch-gdcm-charls.h
> +                          (lambda _
> +                            (substitute*=20
> "../source/Utilities/gdcm_charls.h"
> +                              (("# include <CharLS/charls.h>")

Purely as a matter of taste I dropped the =E2=80=98# include =E2=80=99 from=
 both=20
strings and escaped the =E2=80=98.=E2=80=99 in the regexp.

> +                               "# include <charls/charls.h>"))=20
> #t)))

=E2=80=98#t=E2=80=99 endings are also obsolete.  Just drop them entirely.  =
Phases=20
can now safely return anything, including nothing or undefined.

I added the following phase to work around log spam, since I=20
didn't find its source (nor did I look very hard) [edit: it was=20
indeed graphviz, thanks].  By default, $HOME is not writable in=20
the build environment.

  (add-before 'build 'set-HOME
    ;; The build spams =E2=80=98Fontconfig error: No writable cache
    ;; directories=E2=80=99 in a seemingly endless loop otherwise.
    (lambda _
      (setenv "HOME" "/tmp")))

> +           #:configure-flags #~(list=20
> "-DCMAKE_SKIP_RPATH:BOOL=3DYES"

I, opinionated, added newlines after #:phases and=20
#:configure-flags.

Some people like the =E2=80=98extreme indentation=E2=80=99 you get by throw=
ing=20
away half of your screen width.  I find it leads to cramped code=20
and noisy patches once the phases need to get actual work done or=20
an even longer CMAKE_ flag comes along.

I also added some newlines and tried to group related flags.

> +=20
> "-DCMAKE_C_FLAGS=3D-fvisibility=3Dhidden"
> +=20
> "-DCMAKE_CXX_FLAGS=3D-fvisibility=3Dhidden"

Should these be explained in a very brief comment?

> +=20
> "-DGDCM_USE_SYSTEM_EXPAT:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_ZLIB:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_CHARLS:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_POPPLER:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_LIBXML2:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_JSON:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_UUID:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_OPENJPEG:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_OPENSSL:BOOL=3DON"

Thank you for building with system libraries!  Also remove the=20
bundled copies when possible.  I did so in a (rather strict)=20
source snippet.

> +=20
> "-DGDCM_PDF_DOCUMENTATION:BOOL=3DOFF"

I cannot get the man pages to build, either.  They need something=20
called =E2=80=98xsl-ns=E2=80=99.  I've disabled GDCM_BUILD_DOCBOOK_MANPAGES=
 for=20
now.

> +=20
> "-DGCM_BUILD_TESTING:BOOL=3DOFF"

Why is this set?  It's reported by CMake as having no effect, and=20
a diff of the output confirms that.

> +=20
> "-DGDCM_BUILD_APPLICATIONS:BOOL=3DOFF"

I added a =E2=80=98TODO=E2=80=99 comment above these bundled projects:

> +=20
> "-DGDCM_USE_SYSTEM_PAPYRUS3:BOOL=3DOFF"
> +=20
> "-DGDCM_USE_SYSTEM_SOCKETXX:BOOL=3DOFF"
> +=20
> "-DGDCM_USE_SYSTEM_LJPEG:BOOL=3DOFF")))
> +    (inputs (list openssl
> +                  expat
> +                  charls
> +                  poppler
> +                  libxml2
> +                  json-c
> +                  openjpeg
> +                  `(,util-linux "lib")
> +                  zlib))
> +    (native-inputs (list git pkg-config doxygen graphviz))

Sorted both.

> +    (home-page "https://gdcm.sourceforge.net")
> +    (synopsis
> +     "C++ library dedicated to reading/parsing and writing=20
> DICOM medical files")
> +    (description
> +     "Grassroots DICOM (GDCM) is an implementation of the DICOM=20
> standard
> +designed to be open source so that researchers may access=20
> clinical data
> +directly.  GDCM includes a file format definition and a network=20
> communications
> +protocol, both of which should be extended to provide a full=20
> set of tools for
> +a researcher or small medical imaging vendor to interface with=20
> an existing
> +medical database.")

I rewrote this just a smidge.  Mostly to remove the extra words,=20
and use pretty @acronym{} mark-up.

> +    (license license:bsd-3)))

I still need to check this.

I've attached my WIP V2 to this message, with a commit message=20
matching our conventions.

Kind regards,

T G-R


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=v2-0001-gnu-Add-gdcm.patch
Content-Transfer-Encoding: quoted-printable

From=20e2e2d9e220158aa2fd7dd0f4995c76d7d09ae79b Mon Sep 17 00:00:00 2001
From: =3D?UTF-8?q?Tor-bj=3DC3=3DB6rn=3D20Claesson?=3D <tclaesson@HIDDEN>
Date: Sat, 7 Jan 2023 21:40:42 +0200
Subject: [PATCH v2] gnu: Add gdcm.

* gnu/packages/image-processing.scm (gdcm): New variable.

Signed-off-by: Tobias Geerinckx-Rice <me@HIDDEN>
=2D--
 gnu/packages/image-processing.scm | 105 ++++++++++++++++++++++++++++++
 1 file changed, 105 insertions(+)

diff --git a/gnu/packages/image-processing.scm b/gnu/packages/image-process=
ing.scm
index 70c820e76b..b95cb54964 100644
=2D-- a/gnu/packages/image-processing.scm
+++ b/gnu/packages/image-processing.scm
@@ -99,6 +99,7 @@ (define-module (gnu packages image-processing)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
   #:use-module (gnu packages video)
+  #:use-module (gnu packages web)
   #:use-module (gnu packages xiph)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
@@ -196,6 +197,110 @@ (define-public dcmtk
               "A union of the Apache 2.0 licence and various non-copyleft
 licences similar to the Modified BSD licence."))))
=20
+(define-public gdcm
+  (package
+    (name "gdcm")
+    (version "3.0.20")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/malaterre/GDCM/")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1w78cmm9q7aavs7svdkl4dgilcqk4yazci9m6x7icrssb7cj991i"))
+              (modules '((guix build utils)
+                         (ice-9 ftw)))
+              (snippet
+               '(begin
+                  (define (unbundle? file)
+                    (and (file-is-directory? file)
+                         ;; Not all directories represent a bundled projec=
t,
+                         ;; and some projects can't yet be unbundled.
+                         (not (member file '("." ".."
+                                             "doxygen"
+                                             "gdcmext"
+                                             "gdcmjpeg" ; TODO
+                                             "gdcmrle"
+                                             "socketxx"))))) ; TODO
+                  (with-directory-excursion "Utilities"
+                    (for-each (lambda (utility)
+                                (delete-file-recursively utility)
+                                (substitute* "CMakeLists.txt"
+                                  (((string-append ".*/" utility "/.*")) "=
")))
+                              (scandir "." unbundle?)))))))
+    (build-system cmake-build-system)
+    (outputs '("out" "doc"))
+    (arguments
+     (list #:tests? #f                  ; XXX
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-before 'configure 'set-LDFLAGS
+                 (lambda* (#:key inputs outputs #:allow-other-keys)
+                   (setenv "LDFLAGS"
+                           (string-append "-Wl,-rpath=3D"
+                                          #$output "/lib"))))
+               (add-before 'build 'set-HOME
+                 ;; The build spams =E2=80=98Fontconfig error: No writable=
 cache
+                 ;; directories=E2=80=99 in a seemingly endless loop other=
wise.
+                 (lambda _
+                   (setenv "HOME" "/tmp")))
+               (add-before 'build 'patch-gdcm-charls.h
+                 (lambda _
+                   (substitute* "../source/Utilities/gdcm_charls.h"
+                     (("<CharLS/charls\\.h>")
+                      "<charls/charls.h>")))))
+           #:configure-flags
+           #~(list "-DCMAKE_SKIP_RPATH:BOOL=3DYES"
+                   "-DCMAKE_BUILD_TYPE:STRING=3DRelease"
+                   "-DCMAKE_C_FLAGS=3D-fvisibility=3Dhidden"
+                   "-DCMAKE_CXX_FLAGS=3D-fvisibility=3Dhidden"
+                   "-DGDCM_BUILD_SHARED_LIBS:BOOL=3DON"
+
+                   "-DGDCM_DOCUMENTATION:BOOL=3DON"
+                   "-DGDCM_PDF_DOCUMENTATION:BOOL=3DOFF" ; TODO? need texl=
ive
+                   (string-append "-DGDCM_INSTALL_DOC_DIR=3D"
+                                  #$output:doc "/share/doc/" #$name)
+                   "-DGDCM_BUILD_DOCBOOK_MANPAGES:BOOL=3DOFF" ; TODO: need=
 =E2=80=98xsl-ns=E2=80=99
+
+                   "-DGDCM_USE_SYSTEM_EXPAT:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_ZLIB:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_CHARLS:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_POPPLER:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_LIBXML2:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_JSON:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_UUID:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_OPENJPEG:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_OPENSSL:BOOL=3DON"
+
+                   "-DGDCM_BUILD_APPLICATIONS:BOOL=3DOFF"
+
+                   ;; TODO: Unbundle these if possible.
+                   "-DGDCM_USE_SYSTEM_PAPYRUS3:BOOL=3DOFF"
+                   "-DGDCM_USE_SYSTEM_SOCKETXX:BOOL=3DOFF" ; socketxx in s=
nippet
+                   "-DGDCM_USE_SYSTEM_LJPEG:BOOL=3DOFF"))) ; gdcmjpeg in s=
nippet
+    (inputs (list charls
+                  expat
+                  json-c
+                  libxml2
+                  openjpeg
+                  openssl
+                  poppler
+                  `(,util-linux "lib")
+                  zlib))
+    (native-inputs (list doxygen git graphviz pkg-config))
+    (home-page "https://gdcm.sourceforge.net")
+    (synopsis "C++ library to read, parse, and write DICOM medical files")
+    (description
+     "@acronym{GDCM, Grassroots DICOM} implements the @acronym{DICOM, Digi=
tal
+Imaging and Communications in Medicine} standard to let researchers access
+clinical data directly.  GDCM includes a file format definition and a netw=
ork
+communications protocol, both of which should be extended to provide a ful=
l set
+of tools for a researcher or small medical imaging vendor to interface wit=
h an
+existing medical database.")
+    (license license:bsd-3)))
+
 (define-public mia
   (package
     (name "mia")

base-commit: e0ed305f2f096e7048af1a117c72895433f4886a
=2D-=20
2.38.1


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCY73KRA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW150UYA/22EOgxYn3tza7SIMz5MYuv1uNdxvflK0t9gbdou
EbDNAP99uQZ1Vr2RMUIEx6OEFAnbzwajjqpuSvqyBmfUoAmRBg==
=vJGL
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jan 2023 20:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 10 15:26:36 2023
Received: from localhost ([127.0.0.1]:41217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pFLCd-0002U5-Qs
	for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 15:26:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:40924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1pFLCb-0002Tx-FQ
 for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 15:26:34 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1pFLCa-0007wW-Dk
 for guix-patches@HIDDEN; Tue, 10 Jan 2023 15:26:32 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1pFLCY-0003dX-53
 for guix-patches@HIDDEN; Tue, 10 Jan 2023 15:26:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=rhtGKdVtCXDUJ
 ruUh07HdRwx16+SzRH6DBMIfI+BCaQ=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=YsP5BxBxHfCwnePXxgCMd0XPCAESitDqBb5NLh
 SAs0xXsym3aAMgCNUBFnwAsvhS5Y3zM5kjjyUtMsYhdWaeM/dJWIOLTYc6Jut3dM7LgQd5
 xxrNI6TpJL56/efzWgsA94fG10eiuB3RrvvL5yzhZk3QN0E3NJlf4UaMXzB3Y2KPZTR+V/
 f29PHmB89eIw9ZA5fbbtk6ER3Rg/C30fPb3ukTHWwq+Z9Q7wmjwaQFK1/nec15HhoUK1Q7
 NVyE0C0W09+lKWaWUIeoSUgzhSm53Kedi6o60XSqqaSrl8KB4W5ycu78YFD7Un8QjgpIcY
 OXAOS6knlNN68is8ko3ZifxA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 27214356
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 10 Jan 2023 20:26:18 +0000 (UTC)
References: <877cxyp1wf.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
Subject: Re: [bug#60640] Gnu: Add gdcm
Date: Tue, 10 Jan 2023 15:52:49 +0100
In-reply-to: <877cxyp1wf.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87y1qaxhh7.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -4
X-Spam_score: -0.5
X-Spam_bar: /
X-Spam_report: (-0.5 / 5.0 requ) BAYES_00=-1.9, DATE_IN_PAST_03_06=1.592,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
Cc: 60640 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tor-bj=C3=B6rn Claesson =E5=86=99=E9=81=93=EF=BC=9A
> 1. I have not yet been able to build the bin output,
> which consists of utilities for manipulating DICOM data.=20

OK, I'll take a look.

> 2. It does not build pdf-documentation, since that would require
> texlive as a native input.

OK.  You can add this sort of information as a comment by the=20
relevant line, so it doesn't get lost (even during review :-).

> 3. It does not perform tests.

OK, I'll take a look.

If tests are disabled, the reason should always be noted in a=20
comment.  Even if it's just =E2=80=98; no test suite=E2=80=99.

> 4. It uses socketxx, ljpeg and papyrus3 from the gdcm sources.

Here too I've punted on that by just adding a comment for now.

> +(define-public gdcm

It used to be common to unconditionally add packages to the end of=20
files, but this needlessly increased the risk of merge conflicts.

Instead, just add them wherever they first fit alphabetically;=20
here, I put it above =E2=80=98mia=E2=80=99.

> +    (version "3.0.20")

=E2=80=98guix lint=E2=80=99 says this can be updated to 3.1.0 but I didn't =
try, as=20
I'd rather it be tested by an actual user =E2=80=94 i.e., you.

> +=20
> "1w78cmm9q7aavs7svdkl4dgilcqk4yazci9m6x7icrssb7cj991i"))))
> +    (build-system cmake-build-system)
> +    (outputs '("out" "doc"))

/share/doc wasn't actually installed into "doc", but to "out", so=20
I set the GDCM_INSTALL_DOC_DIR configure flag.

> +    (arguments
> +     (list #:tests? #f
> +           #:phases #~(modify-phases %standard-phases
> +                        (add-before 'configure 'set-LDFLAGS
> +                          (lambda* (#:key inputs outputs=20
> #:allow-other-keys)
> +                            (setenv "LDFLAGS"
> +                                    (string-append=20
> "-Wl,-rpath=3D"
> +                                                   #$output=20
> "/lib"))))
> +                        (add-before 'build 'patch-gdcm-charls.h
> +                          (lambda _
> +                            (substitute*=20
> "../source/Utilities/gdcm_charls.h"
> +                              (("# include <CharLS/charls.h>")

Purely as a matter of taste I dropped the =E2=80=98# include =E2=80=99 from=
 both=20
strings and escaped the =E2=80=98.=E2=80=99 in the regexp.

> +                               "# include <charls/charls.h>"))=20
> #t)))

=E2=80=98#t=E2=80=99 endings are also obsolete.  Just drop them entirely.  =
Phases=20
can now safely return anything, including nothing or undefined.

I added the following phase to work around log spam, since I=20
didn't find its source (nor did I look very hard) [edit: it was=20
indeed graphviz, thanks].  By default, $HOME is not writable in=20
the build environment.

  (add-before 'build 'set-HOME
    ;; The build spams =E2=80=98Fontconfig error: No writable cache
    ;; directories=E2=80=99 in a seemingly endless loop otherwise.
    (lambda _
      (setenv "HOME" "/tmp")))

> +           #:configure-flags #~(list=20
> "-DCMAKE_SKIP_RPATH:BOOL=3DYES"

I, opinionated, added newlines after #:phases and=20
#:configure-flags.

Some people like the =E2=80=98extreme indentation=E2=80=99 you get by throw=
ing=20
away half of your screen width.  I find it leads to cramped code=20
and noisy patches once the phases need to get actual work done or=20
an even longer CMAKE_ flag comes along.

I also added some newlines and tried to group related flags.

> +=20
> "-DCMAKE_C_FLAGS=3D-fvisibility=3Dhidden"
> +=20
> "-DCMAKE_CXX_FLAGS=3D-fvisibility=3Dhidden"

Should these be explained in a very brief comment?

> +=20
> "-DGDCM_USE_SYSTEM_EXPAT:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_ZLIB:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_CHARLS:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_POPPLER:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_LIBXML2:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_JSON:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_UUID:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_OPENJPEG:BOOL=3DON"
> +=20
> "-DGDCM_USE_SYSTEM_OPENSSL:BOOL=3DON"

Thank you for building with system libraries!  Also remove the=20
bundled copies when possible.  I did so in a (rather strict)=20
source snippet.

> +=20
> "-DGDCM_PDF_DOCUMENTATION:BOOL=3DOFF"

I cannot get the man pages to build, either.  They need something=20
called =E2=80=98xsl-ns=E2=80=99.  I've disabled GDCM_BUILD_DOCBOOK_MANPAGES=
 for=20
now.

> +=20
> "-DGCM_BUILD_TESTING:BOOL=3DOFF"

Why is this set?  It's reported by CMake as having no effect, and=20
a diff of the output confirms that.

> +=20
> "-DGDCM_BUILD_APPLICATIONS:BOOL=3DOFF"

I added a =E2=80=98TODO=E2=80=99 comment above these bundled projects:

> +=20
> "-DGDCM_USE_SYSTEM_PAPYRUS3:BOOL=3DOFF"
> +=20
> "-DGDCM_USE_SYSTEM_SOCKETXX:BOOL=3DOFF"
> +=20
> "-DGDCM_USE_SYSTEM_LJPEG:BOOL=3DOFF")))
> +    (inputs (list openssl
> +                  expat
> +                  charls
> +                  poppler
> +                  libxml2
> +                  json-c
> +                  openjpeg
> +                  `(,util-linux "lib")
> +                  zlib))
> +    (native-inputs (list git pkg-config doxygen graphviz))

Sorted both.

> +    (home-page "https://gdcm.sourceforge.net")
> +    (synopsis
> +     "C++ library dedicated to reading/parsing and writing=20
> DICOM medical files")
> +    (description
> +     "Grassroots DICOM (GDCM) is an implementation of the DICOM=20
> standard
> +designed to be open source so that researchers may access=20
> clinical data
> +directly.  GDCM includes a file format definition and a network=20
> communications
> +protocol, both of which should be extended to provide a full=20
> set of tools for
> +a researcher or small medical imaging vendor to interface with=20
> an existing
> +medical database.")

I rewrote this just a smidge.  Mostly to remove the extra words,=20
and use pretty @acronym{} mark-up.

> +    (license license:bsd-3)))

I still need to check this.

I've attached my WIP V2 to this message, with a commit message=20
matching our conventions.

Kind regards,

T G-R


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=v2-0001-gnu-Add-gdcm.patch
Content-Transfer-Encoding: quoted-printable

From=20e2e2d9e220158aa2fd7dd0f4995c76d7d09ae79b Mon Sep 17 00:00:00 2001
From: =3D?UTF-8?q?Tor-bj=3DC3=3DB6rn=3D20Claesson?=3D <tclaesson@HIDDEN>
Date: Sat, 7 Jan 2023 21:40:42 +0200
Subject: [PATCH v2] gnu: Add gdcm.

* gnu/packages/image-processing.scm (gdcm): New variable.

Signed-off-by: Tobias Geerinckx-Rice <me@HIDDEN>
=2D--
 gnu/packages/image-processing.scm | 105 ++++++++++++++++++++++++++++++
 1 file changed, 105 insertions(+)

diff --git a/gnu/packages/image-processing.scm b/gnu/packages/image-process=
ing.scm
index 70c820e76b..b95cb54964 100644
=2D-- a/gnu/packages/image-processing.scm
+++ b/gnu/packages/image-processing.scm
@@ -99,6 +99,7 @@ (define-module (gnu packages image-processing)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
   #:use-module (gnu packages video)
+  #:use-module (gnu packages web)
   #:use-module (gnu packages xiph)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
@@ -196,6 +197,110 @@ (define-public dcmtk
               "A union of the Apache 2.0 licence and various non-copyleft
 licences similar to the Modified BSD licence."))))
=20
+(define-public gdcm
+  (package
+    (name "gdcm")
+    (version "3.0.20")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/malaterre/GDCM/")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1w78cmm9q7aavs7svdkl4dgilcqk4yazci9m6x7icrssb7cj991i"))
+              (modules '((guix build utils)
+                         (ice-9 ftw)))
+              (snippet
+               '(begin
+                  (define (unbundle? file)
+                    (and (file-is-directory? file)
+                         ;; Not all directories represent a bundled projec=
t,
+                         ;; and some projects can't yet be unbundled.
+                         (not (member file '("." ".."
+                                             "doxygen"
+                                             "gdcmext"
+                                             "gdcmjpeg" ; TODO
+                                             "gdcmrle"
+                                             "socketxx"))))) ; TODO
+                  (with-directory-excursion "Utilities"
+                    (for-each (lambda (utility)
+                                (delete-file-recursively utility)
+                                (substitute* "CMakeLists.txt"
+                                  (((string-append ".*/" utility "/.*")) "=
")))
+                              (scandir "." unbundle?)))))))
+    (build-system cmake-build-system)
+    (outputs '("out" "doc"))
+    (arguments
+     (list #:tests? #f                  ; XXX
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-before 'configure 'set-LDFLAGS
+                 (lambda* (#:key inputs outputs #:allow-other-keys)
+                   (setenv "LDFLAGS"
+                           (string-append "-Wl,-rpath=3D"
+                                          #$output "/lib"))))
+               (add-before 'build 'set-HOME
+                 ;; The build spams =E2=80=98Fontconfig error: No writable=
 cache
+                 ;; directories=E2=80=99 in a seemingly endless loop other=
wise.
+                 (lambda _
+                   (setenv "HOME" "/tmp")))
+               (add-before 'build 'patch-gdcm-charls.h
+                 (lambda _
+                   (substitute* "../source/Utilities/gdcm_charls.h"
+                     (("<CharLS/charls\\.h>")
+                      "<charls/charls.h>")))))
+           #:configure-flags
+           #~(list "-DCMAKE_SKIP_RPATH:BOOL=3DYES"
+                   "-DCMAKE_BUILD_TYPE:STRING=3DRelease"
+                   "-DCMAKE_C_FLAGS=3D-fvisibility=3Dhidden"
+                   "-DCMAKE_CXX_FLAGS=3D-fvisibility=3Dhidden"
+                   "-DGDCM_BUILD_SHARED_LIBS:BOOL=3DON"
+
+                   "-DGDCM_DOCUMENTATION:BOOL=3DON"
+                   "-DGDCM_PDF_DOCUMENTATION:BOOL=3DOFF" ; TODO? need texl=
ive
+                   (string-append "-DGDCM_INSTALL_DOC_DIR=3D"
+                                  #$output:doc "/share/doc/" #$name)
+                   "-DGDCM_BUILD_DOCBOOK_MANPAGES:BOOL=3DOFF" ; TODO: need=
 =E2=80=98xsl-ns=E2=80=99
+
+                   "-DGDCM_USE_SYSTEM_EXPAT:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_ZLIB:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_CHARLS:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_POPPLER:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_LIBXML2:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_JSON:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_UUID:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_OPENJPEG:BOOL=3DON"
+                   "-DGDCM_USE_SYSTEM_OPENSSL:BOOL=3DON"
+
+                   "-DGDCM_BUILD_APPLICATIONS:BOOL=3DOFF"
+
+                   ;; TODO: Unbundle these if possible.
+                   "-DGDCM_USE_SYSTEM_PAPYRUS3:BOOL=3DOFF"
+                   "-DGDCM_USE_SYSTEM_SOCKETXX:BOOL=3DOFF" ; socketxx in s=
nippet
+                   "-DGDCM_USE_SYSTEM_LJPEG:BOOL=3DOFF"))) ; gdcmjpeg in s=
nippet
+    (inputs (list charls
+                  expat
+                  json-c
+                  libxml2
+                  openjpeg
+                  openssl
+                  poppler
+                  `(,util-linux "lib")
+                  zlib))
+    (native-inputs (list doxygen git graphviz pkg-config))
+    (home-page "https://gdcm.sourceforge.net")
+    (synopsis "C++ library to read, parse, and write DICOM medical files")
+    (description
+     "@acronym{GDCM, Grassroots DICOM} implements the @acronym{DICOM, Digi=
tal
+Imaging and Communications in Medicine} standard to let researchers access
+clinical data directly.  GDCM includes a file format definition and a netw=
ork
+communications protocol, both of which should be extended to provide a ful=
l set
+of tools for a researcher or small medical imaging vendor to interface wit=
h an
+existing medical database.")
+    (license license:bsd-3)))
+
 (define-public mia
   (package
     (name "mia")

base-commit: e0ed305f2f096e7048af1a117c72895433f4886a
=2D-=20
2.38.1


--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCY73KRA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW150UYA/22EOgxYn3tza7SIMz5MYuv1uNdxvflK0t9gbdou
EbDNAP99uQZ1Vr2RMUIEx6OEFAnbzwajjqpuSvqyBmfUoAmRBg==
=vJGL
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 10 Jan 2023 15:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 10 10:10:33 2023
Received: from localhost ([127.0.0.1]:40894 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pFGGn-0000At-12
	for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 10:10:33 -0500
Received: from mail-ej1-f52.google.com ([209.85.218.52]:38606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tclaesson@HIDDEN>) id 1pFGGl-0000Ah-LX
 for 60640 <at> debbugs.gnu.org; Tue, 10 Jan 2023 10:10:32 -0500
Received: by mail-ej1-f52.google.com with SMTP id cf18so23094178ejb.5
 for <60640 <at> debbugs.gnu.org>; Tue, 10 Jan 2023 07:10:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=0XAcTwNAjs4laFoKvc5Fb9Z/bZOpbMEKQfuLjjQGHiQ=;
 b=GzLmQ7YWjjIK2Uw/ABtduYvXlTlTLUZQW94L/FTmFxO+L1tzA7ynOwULmOso8G8yj4
 nQ7LnAaZ8NUBtNFtJNiS12H00zzvFcIhsh72FDlcikKDUIye1M/kAmgeO85vPiEKRGgF
 fp9gvghKSJniwc1MIcxR1xkGo9/RePrkWY18NTZKea3UrjQzFL7iHdfKFPL55RNqQoeJ
 E4bJu8EAYALn9MmCE3QqgT2ipgz3+BeVNKfGbyEJq29A0uM72pTZ6Ow357KRPCTEJisi
 KovUpLDvVRm8K8+x/vc/X804yLyiHmAZdo4MMOgLAc/n+hdvWd131GmtJ63gpAWtUfLW
 W8tw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=0XAcTwNAjs4laFoKvc5Fb9Z/bZOpbMEKQfuLjjQGHiQ=;
 b=ZLFVZKfTCTLbmU/ibxxb8KUvH4t4hwnPCpYiWLkSAqmrhY0y/beZfaw0dlyK1/eSao
 gOEXOd6GpXXuAe8TpiyBgPP4PknlhhyJXxD2QbeXvPcfwKzmayncOekQQXokepcl1QTj
 Q6uUiBiwK4PcZX/i9F9XCs+x6rB0TUQJog8umAsqBwhgqbZLHwBUXa+BCzNCxXmeQ7eu
 iXifYis6kjunccTWvup7RFE6yPAOeCFwMpna5TEEua05ocoZeTDOp2TElQjCt3cAybPY
 SxsdPU/zNzPG573XNuWQCmn/3aBEnHK+CBoiEcvvIKjJHnRPJ7U85Dz7k/QNyXwclI7X
 WJuw==
X-Gm-Message-State: AFqh2kqiborXbGkbn5W1QTfjNokSFHGYAaDLSD5n7x6mH5uR0gpal1Ff
 xz2zAjpQQH9mkc//MHYhqjKx8m2jCcIuA5q4sSg=
X-Google-Smtp-Source: AMrXdXvrW3f/fiZutF58NZUgB+oZQFw5jhM2P5tamEVvfLdENXTbi4yGkPFxTjc2iDomDebeg1hNq5RKNg8g05L9dGI=
X-Received: by 2002:a17:907:9d0d:b0:84d:4d2d:1c5f with SMTP id
 kt13-20020a1709079d0d00b0084d4d2d1c5fmr478661ejc.114.1673363425688; Tue, 10
 Jan 2023 07:10:25 -0800 (PST)
MIME-Version: 1.0
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN> <87a62q1mca.fsf@nckx>
In-Reply-To: <87a62q1mca.fsf@nckx>
From: =?UTF-8?Q?Tor=2Dbj=C3=B6rn_Claesson?= <tclaesson@HIDDEN>
Date: Tue, 10 Jan 2023 17:10:14 +0200
Message-ID: <CAO0k700WgGvQ7mtiS3RVUUfEAWXANjCmv+gaxK6j9yB12NL2Sg@HIDDEN>
Subject: Re: [bug#60640] Acknowledgement (Gnu: Add gdcm)
To: Tobias Geerinckx-Rice <me@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000091800005f1ea48da"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60640
Cc: 60640 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000091800005f1ea48da
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi!


I'll answer your questions later, but have started the build
> before I go out.
>
> The build appears to be running something like
>
>   until fc-something; do :; done
>
> in an infinite loop, spamming the build log at best and slowing
> down the build at worst.
>
> Did you notice that too?
>

I get a lot of "Fontconfig error: No writable cache directories" which
appeared after adding graphviz as a native input for building
documentation. Is this what you are meaning?

Thanks=3D)
Tor-bj=C3=B6rn

--00000000000091800005f1ea48da
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div>Hi!</div><div><br></div><div><br></d=
iv></div><div class=3D"gmail_quote"><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding=
-left:1ex">
I&#39;ll answer your questions later, but have started the build <br>
before I go out.<br>
<br>
The build appears to be running something like<br>
<br>
=C2=A0 until fc-something; do :; done<br>
<br>
in an infinite loop, spamming the build log at best and slowing <br>
down the build at worst.<br>
<br>
Did you notice that too?<br></blockquote><div><br></div><div>I get a lot of=
 &quot;Fontconfig error: No writable cache directories&quot; which appeared=
 after adding graphviz as a native input for building documentation. Is thi=
s what you are meaning?</div><div><br></div><div>Thanks=3D)</div><div>Tor-b=
j=C3=B6rn<br></div></div></div>

--00000000000091800005f1ea48da--




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jan 2023 15:10:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 10 10:10:58 2023
Received: from localhost ([127.0.0.1]:40898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pFGGx-0000BK-9b
	for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 10:10:58 -0500
Received: from lists.gnu.org ([209.51.188.17]:37998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tclaesson@HIDDEN>) id 1pFGGv-0000B3-RP
 for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 10:10:42 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tclaesson@HIDDEN>)
 id 1pFGGk-0006zN-1m
 for guix-patches@HIDDEN; Tue, 10 Jan 2023 10:10:31 -0500
Received: from mail-ej1-x62d.google.com ([2a00:1450:4864:20::62d])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <tclaesson@HIDDEN>)
 id 1pFGGi-0001rm-JH
 for guix-patches@HIDDEN; Tue, 10 Jan 2023 10:10:29 -0500
Received: by mail-ej1-x62d.google.com with SMTP id fc4so29394306ejc.12
 for <guix-patches@HIDDEN>; Tue, 10 Jan 2023 07:10:26 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=0XAcTwNAjs4laFoKvc5Fb9Z/bZOpbMEKQfuLjjQGHiQ=;
 b=GzLmQ7YWjjIK2Uw/ABtduYvXlTlTLUZQW94L/FTmFxO+L1tzA7ynOwULmOso8G8yj4
 nQ7LnAaZ8NUBtNFtJNiS12H00zzvFcIhsh72FDlcikKDUIye1M/kAmgeO85vPiEKRGgF
 fp9gvghKSJniwc1MIcxR1xkGo9/RePrkWY18NTZKea3UrjQzFL7iHdfKFPL55RNqQoeJ
 E4bJu8EAYALn9MmCE3QqgT2ipgz3+BeVNKfGbyEJq29A0uM72pTZ6Ow357KRPCTEJisi
 KovUpLDvVRm8K8+x/vc/X804yLyiHmAZdo4MMOgLAc/n+hdvWd131GmtJ63gpAWtUfLW
 W8tw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=0XAcTwNAjs4laFoKvc5Fb9Z/bZOpbMEKQfuLjjQGHiQ=;
 b=nU3/DMYnb2LX0X1HDoHKxE0aIiVLwR2JuKQ7ejM7ndI3PMDXBY0EPgbN7bKrMrLk4y
 Oev2TtnhL+eVM+gESjXuWzVaDlqJvGbQmWPYikzLe38CSAwxsCH3gOV21x+7Bpf1LnWQ
 qkY87xpKyWVa+eCGKtXwYteruV1maG4qerKY4nGbFI1bwyWKWTjnw8EgyBjnkdVpW1pO
 f1vsS21bIwgTg4NihdEBSpCUs1OQJ/fFfMgjR8rIlBu+cgK+edA31Fz4H00+Hr3ZGske
 4XwfcVIle/OrnwTxQy9/HKHBKJph/fwlS4kdUZgFZgN/8va/So7OrdKANWsVX6S1u1tX
 3Yrw==
X-Gm-Message-State: AFqh2kqa0S3hj75zy51m/SygH93ADUM3y5sdz9ko9/8TZKnhJ7YqqXvK
 wKofz6wrDBCbQwNV1kHIBfqbU+8r9xvTrmfbVQE=
X-Google-Smtp-Source: AMrXdXvrW3f/fiZutF58NZUgB+oZQFw5jhM2P5tamEVvfLdENXTbi4yGkPFxTjc2iDomDebeg1hNq5RKNg8g05L9dGI=
X-Received: by 2002:a17:907:9d0d:b0:84d:4d2d:1c5f with SMTP id
 kt13-20020a1709079d0d00b0084d4d2d1c5fmr478661ejc.114.1673363425688; Tue, 10
 Jan 2023 07:10:25 -0800 (PST)
MIME-Version: 1.0
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN> <87a62q1mca.fsf@nckx>
In-Reply-To: <87a62q1mca.fsf@nckx>
From: =?UTF-8?Q?Tor=2Dbj=C3=B6rn_Claesson?= <tclaesson@HIDDEN>
Date: Tue, 10 Jan 2023 17:10:14 +0200
Message-ID: <CAO0k700WgGvQ7mtiS3RVUUfEAWXANjCmv+gaxK6j9yB12NL2Sg@HIDDEN>
Subject: Re: [bug#60640] Acknowledgement (Gnu: Add gdcm)
To: Tobias Geerinckx-Rice <me@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000091800005f1ea48da"
Received-SPF: pass client-ip=2a00:1450:4864:20::62d;
 envelope-from=tclaesson@HIDDEN; helo=mail-ej1-x62d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: 60640 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--00000000000091800005f1ea48da
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi!


I'll answer your questions later, but have started the build
> before I go out.
>
> The build appears to be running something like
>
>   until fc-something; do :; done
>
> in an infinite loop, spamming the build log at best and slowing
> down the build at worst.
>
> Did you notice that too?
>

I get a lot of "Fontconfig error: No writable cache directories" which
appeared after adding graphviz as a native input for building
documentation. Is this what you are meaning?

Thanks=3D)
Tor-bj=C3=B6rn

--00000000000091800005f1ea48da
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div>Hi!</div><div><br></div><div><br></d=
iv></div><div class=3D"gmail_quote"><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding=
-left:1ex">
I&#39;ll answer your questions later, but have started the build <br>
before I go out.<br>
<br>
The build appears to be running something like<br>
<br>
=C2=A0 until fc-something; do :; done<br>
<br>
in an infinite loop, spamming the build log at best and slowing <br>
down the build at worst.<br>
<br>
Did you notice that too?<br></blockquote><div><br></div><div>I get a lot of=
 &quot;Fontconfig error: No writable cache directories&quot; which appeared=
 after adding graphviz as a native input for building documentation. Is thi=
s what you are meaning?</div><div><br></div><div>Thanks=3D)</div><div>Tor-b=
j=C3=B6rn<br></div></div></div>

--00000000000091800005f1ea48da--




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 10 Jan 2023 14:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 10 09:42:19 2023
Received: from localhost ([127.0.0.1]:39205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pFFpS-0007RM-LV
	for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 09:42:18 -0500
Received: from tobias.gr ([80.241.217.52]:42816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1pFFpR-0007RE-Fx
 for 60640 <at> debbugs.gnu.org; Tue, 10 Jan 2023 09:42:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=/GmR/vfYpXtr4
 NjqzIKCTgzubPi/P4Wy/0cxmeXUrpA=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=Stu7BMLIzUoEuXabGK+d0mDS76RF1a9IAvcnK/
 FyMdr2a/ScdBq0PGto7waH+hqa4owFJslamE//IWwoKT5PpEGjvwgcAinZL/5z6uwqjxVk
 hE/3rLaT+PQAHV+E9WlU/UbHbLHcBFRN8MVi09qzXMngmscv+ZYKnKOvyed9iYzH+fxf+E
 RnxtYhQiHbIGoC5SmgEaF6bVgYmyhvlb+gnoqyWUIMgh2TIkfwt0Pq0QRssKKq8jg0f0Yi
 RLkhrW/pC/D5zTSeIDONuG0ipzH/Dyebsh5QeYu6ECnFstc8D0MW9YkLfSylQqBbDZvHfJ
 v/iwzz7XInPHXB0rRqXW23sQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1c724d1c
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 10 Jan 2023 14:42:10 +0000 (UTC)
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
Subject: Re: [bug#60640] Acknowledgement (Gnu: Add gdcm)
Date: Tue, 10 Jan 2023 15:40:50 +0100
In-reply-to: <87y1qdo3qq.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87a62q1mca.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60640
Cc: 60640 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi again,

Tor-bj=C3=B6rn Claesson =E5=86=99=E9=81=93=EF=BC=9A
> This patch adds GDCM (a nice C++ library for DICOM, as in=20
> medical imaging),
> with a few wharts:

I'll answer your questions later, but have started the build=20
before I go out.

The build appears to be running something like

  until fc-something; do :; done

in an infinite loop, spamming the build log at best and slowing=20
down the build at worst.

Did you notice that too?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCY715pQ0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15gaQBAI8MpZ0upjkClTQxcOnUeGB6B6RADv70GT7BAjbl
stdTAP9vG1MdAKL1lRJ9GhnrXLintk6Qt/TR9+1uJDER42a8BQ==
=ZPxT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jan 2023 14:42:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 10 09:42:34 2023
Received: from localhost ([127.0.0.1]:39209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pFFpi-0007Rr-0g
	for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 09:42:34 -0500
Received: from lists.gnu.org ([209.51.188.17]:50756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1pFFpg-0007Rc-Gd
 for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 09:42:32 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1pFFpV-0003gu-Tp
 for guix-patches@HIDDEN; Tue, 10 Jan 2023 09:42:21 -0500
Received: from tobias.gr ([80.241.217.52])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1pFFpU-00032x-En
 for guix-patches@HIDDEN; Tue, 10 Jan 2023 09:42:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=/GmR/vfYpXtr4
 NjqzIKCTgzubPi/P4Wy/0cxmeXUrpA=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=Stu7BMLIzUoEuXabGK+d0mDS76RF1a9IAvcnK/
 FyMdr2a/ScdBq0PGto7waH+hqa4owFJslamE//IWwoKT5PpEGjvwgcAinZL/5z6uwqjxVk
 hE/3rLaT+PQAHV+E9WlU/UbHbLHcBFRN8MVi09qzXMngmscv+ZYKnKOvyed9iYzH+fxf+E
 RnxtYhQiHbIGoC5SmgEaF6bVgYmyhvlb+gnoqyWUIMgh2TIkfwt0Pq0QRssKKq8jg0f0Yi
 RLkhrW/pC/D5zTSeIDONuG0ipzH/Dyebsh5QeYu6ECnFstc8D0MW9YkLfSylQqBbDZvHfJ
 v/iwzz7XInPHXB0rRqXW23sQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1c724d1c
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Tue, 10 Jan 2023 14:42:10 +0000 (UTC)
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
Subject: Re: [bug#60640] Acknowledgement (Gnu: Add gdcm)
Date: Tue, 10 Jan 2023 15:40:50 +0100
In-reply-to: <87y1qdo3qq.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87a62q1mca.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=80.241.217.52; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 60640 <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi again,

Tor-bj=C3=B6rn Claesson =E5=86=99=E9=81=93=EF=BC=9A
> This patch adds GDCM (a nice C++ library for DICOM, as in=20
> medical imaging),
> with a few wharts:

I'll answer your questions later, but have started the build=20
before I go out.

The build appears to be running something like

  until fc-something; do :; done

in an infinite loop, spamming the build log at best and slowing=20
down the build at worst.

Did you notice that too?

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCY715pQ0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15gaQBAI8MpZ0upjkClTQxcOnUeGB6B6RADv70GT7BAjbl
stdTAP9vG1MdAKL1lRJ9GhnrXLintk6Qt/TR9+1uJDER42a8BQ==
=ZPxT
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 10 Jan 2023 07:01:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 10 02:01:48 2023
Received: from localhost ([127.0.0.1]:38600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pF8dn-0002VH-Nl
	for submit <at> debbugs.gnu.org; Tue, 10 Jan 2023 02:01:47 -0500
Received: from knopi.disroot.org ([178.21.23.139]:51818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1pF8dl-0002V6-MH
 for 60640 <at> debbugs.gnu.org; Tue, 10 Jan 2023 02:01:46 -0500
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 4B924409EE;
 Tue, 10 Jan 2023 08:01:44 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id gFL0XzrCqYRr; Tue, 10 Jan 2023 08:01:43 +0100 (CET)
Content-Type: multipart/signed;
 boundary=ed3932af558e7c8e83140b5f95bc497c3c8dfdf394716b5c117c3ea1159c;
 micalg=pgp-sha512; protocol="application/pgp-signature"
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1673334103; bh=jCrH2o3x00+DOTudI5EfOP8v081TnaYl5BSscpTe0A8=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=j9AwbPrPUy7b/oTaRPNCZFCiO0+lMR7jX89Ww1ILWBaZLT7H5o2MgXKmVccJ88SHq
 G9Nlo7rIobQYD3lrwOqehpTi0iFbQuUzu3vIk1DijjXzDR3GjRY4RnMJ3I8aALcdts
 2wexOZre2FCC/8dNhHCI4EGWUTRkgfv5i6PZBWP+3WXsV19v+LPtpxq4u3VBOB/szg
 e3ZPstTXr0EswIjRDvzcB5QO8qyOSvHrOj3YL4AYbM1EjajlLlP7UgOjNfywEFC/Bm
 ub5VCX75ycZoyaeD8lctjjGpTVvw1UIN8ALUCSST62lbUipg46y9ODQCUDn3dexGc/
 KVC/6WTaDRaAw==
Date: Tue, 10 Jan 2023 07:01:42 +0000
Message-Id: <CPOBFMENK2TI.38OMD33SQ529Z@guix-framework>
Subject: Re: [bug#60640] Acknowledgement (Gnu: Add gdcm)
From: "(" <paren@HIDDEN>
To: =?utf-8?q?Tor-bj=C3=B6rn_Claesson?= <tclaesson@HIDDEN>,
 <60640 <at> debbugs.gnu.org>
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN>
 <CAO0k700SJqxsqHXjr=XOWijdeBvjeQzxW40E5pb+18d8sUXPig@HIDDEN>
 <604C2BA9-1D59-4560-BE33-285FB879C3AA@HIDDEN> <87cz7oc72l.fsf@HIDDEN>
In-Reply-To: <87cz7oc72l.fsf@HIDDEN>
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 60640
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--ed3932af558e7c8e83140b5f95bc497c3c8dfdf394716b5c117c3ea1159c
Mime-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8

On Mon Jan 9, 2023 at 10:50 AM GMT, Tor-bj=C3=B6rn Claesson wrote:
> No failures, only guix lint tells me "gdcm@HIDDEN: label 'util-linux'
> does not match package name 'util-linux:lib'", so I thought I might be
> doing something wrong. If not then all fine on that front.

Oh, that's fine.  I don't think there's a way to fix that at the moment.

    -- (

--ed3932af558e7c8e83140b5f95bc497c3c8dfdf394716b5c117c3ea1159c
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQGzBAABCgAdFiEE6Vh10NblKE5doNlW7ImHg/nqI20FAmO9DVcACgkQ7ImHg/nq
I23RTwwAuwYIObEwRpWW6dd5eObVhWFru81e3OkPnR2vt7mWL7Rn08jUwzbRJdFG
g0+JoSqJdF2H3kylQCN4YlaYu/AV9co/jrFwGWF8nYpSTWk60fXn2pFlbuvdgfzZ
GsJ9ZQ4a7cBIcf4Xw0DnhP4tZ6iYHYAV/IhajQLb8u3Q5TZ9E+/Im3+JMl0duLdk
qyAEw1L9kGkYJD0sbFIYmW4ZeeCxoB8Yqk1Z9/feNizgoPQcfyKv5UymeXCjxP8c
KCGr2y4il6epY7D9rGyiBajKQ2tLZouMCQujZggioKqssbSH7L6+Z/O2Qz3nV3Rd
yLdvybU1Pe7IH+XPxTlaKC882SnYb5mr6T03Si2pcuX4eJ2JIsCRlqtJwwRNzy/G
ug5ylSft6FfVAQHrnBnQaDO/q8txIXrexIidD+gmzTj5Tl/zrLtPi4cnfNTtuqVG
OdW1lnJjvV7SKJanaMmroJwDAa5OK6n0U02vLVnqfZO0+Oo/3U5Wj+uX5rLasLJd
wJVVRFZi
=KZEg
-----END PGP SIGNATURE-----

--ed3932af558e7c8e83140b5f95bc497c3c8dfdf394716b5c117c3ea1159c--




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 9 Jan 2023 10:53:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 09 05:53:49 2023
Received: from localhost ([127.0.0.1]:35862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEpmm-0002x5-UN
	for submit <at> debbugs.gnu.org; Mon, 09 Jan 2023 05:53:49 -0500
Received: from mail-lf1-f48.google.com ([209.85.167.48]:40659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tclaesson@HIDDEN>) id 1pEpmk-0002wo-7X
 for 60640 <at> debbugs.gnu.org; Mon, 09 Jan 2023 05:53:47 -0500
Received: by mail-lf1-f48.google.com with SMTP id g13so12319147lfv.7
 for <60640 <at> debbugs.gnu.org>; Mon, 09 Jan 2023 02:53:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:in-reply-to:date
 :subject:cc:to:from:user-agent:references:from:to:cc:subject:date
 :message-id:reply-to;
 bh=S1VC3Gbglq/7BCECC95oUjBGruLTei1CLy9kYQEfORU=;
 b=NP6Ew0TXLOaLZsezUsInOhIbtNPBVBvCYWBIZVjfASF84eHPUQ24VAb4mDId1+igsn
 wIxfyBbOTWVvuGD2FDDO3lgYd1t657fn9CWMzG0+9J765oYbeMc8BKYmrbO6vg9KFoDG
 RdLTAUBZ2j31xmvr8GwbjCCPTSmF1nZZAVCUaCXVR7CQ3WYnjseEhw37+EIhzxlqosoO
 eHKI1gVaLq5jk2QZmZfvAbm7CO3KqvHt9uPu6bkA1RRuP/SsT2NCU1JSu08sF+7GScAl
 o3HUn+GsQyujdoyJaEQo/9wO5xOjO/dbGaIOwoOYajj+oXR16HHFDpsUF37fl4rTlp3t
 PDTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:in-reply-to:date
 :subject:cc:to:from:user-agent:references:x-gm-message-state:from:to
 :cc:subject:date:message-id:reply-to;
 bh=S1VC3Gbglq/7BCECC95oUjBGruLTei1CLy9kYQEfORU=;
 b=8SDvDVG5Flg801H2PSYjlh837w075aJ9yCifsPNQr3Mq4h1o4m1iROvPyB1DbR/S+m
 K4/G5fkj9r0kIVkAsZM7myngFPuVruwe53vUCiBgAlWWlrL8ihb2abdWW+0lm0gvloqW
 5QZUnrO15g9kM/z4o9gbTGiwMa5FDU9fpNtsIy6mYdZp/8xilMkDSH//2WId1CDBhEuN
 2/FlxdsNdVEXNudMqJ1/mPJNAbPKBuVVKLbVG1lOsbpF2RoVqEYFtqF00zRHh5MB40sq
 st2KilStsrR3x0EHtCLyWUKvjlj2/tZjno0z5P+0VzMe6HjzEB5nX2zIlCjfOHsnOiJp
 ctlw==
X-Gm-Message-State: AFqh2krFYoCVA+qlZT2uiCoorH66SqrlFlzgbJIbrEm4wroax8u4DFTZ
 pL1x0JEinP4tF5oWc21ZBB4q5ns/lwk=
X-Google-Smtp-Source: AMrXdXttU85prRk4ExFiXL7WAa0naWAA2OX3A1JX8un7h0U6yIt0ei6wYT7guNBg6gwzK4BycC4uAg==
X-Received: by 2002:ac2:4f13:0:b0:4b5:b22e:9653 with SMTP id
 k19-20020ac24f13000000b004b5b22e9653mr16357777lfr.18.1673261619685; 
 Mon, 09 Jan 2023 02:53:39 -0800 (PST)
Received: from barbar (212-90-81-204.bb.dnainternet.fi. [212.90.81.204])
 by smtp.gmail.com with ESMTPSA id
 c21-20020ac244b5000000b004cb015794a8sm1558576lfm.109.2023.01.09.02.53.39
 for <60640 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 09 Jan 2023 02:53:39 -0800 (PST)
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN>
 <CAO0k700SJqxsqHXjr=XOWijdeBvjeQzxW40E5pb+18d8sUXPig@HIDDEN>
 <604C2BA9-1D59-4560-BE33-285FB879C3AA@HIDDEN>
User-agent: mu4e 1.8.13; emacs 28.2
From: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
To: 60640 <at> debbugs.gnu.org
Subject: Re: [bug#60640] Acknowledgement (Gnu: Add gdcm)
Date: Mon, 09 Jan 2023 12:50:32 +0200
In-reply-to: <604C2BA9-1D59-4560-BE33-285FB879C3AA@HIDDEN>
Message-ID: <87cz7oc72l.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60640
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Tobias,
thanks for taking the time to comment!

Tobias Geerinckx-Rice <me@HIDDEN> writes:
> Hi Tor-bj=C3=B6rn,
>
> On 8 January 2023 08:04:40 UTC, "Tor-bj=C3=B6rn Claesson" <tclaesson@gmai=
l.com> wrote:
>>Den s=C3=B6n 8 jan. 2023 kl 10:00 skrev Tor-bj=C3=B6rn Claesson <tclaesso=
n@HIDDEN>:
>>
>>>
>>> 5. I'm not sure how to specify util-linux:bin as an input?
>>>
>>I mean util-linux:lib...
>
> Exactly like you did.  Are you seeing util-linux-related failures?
>
>
> Kind regards,
>
> T G-R
>
> Sent on the go.  Excuse or enjoy my brevity.

No failures, only guix lint tells me "gdcm@HIDDEN: label 'util-linux'
does not match package name 'util-linux:lib'", so I thought I might be
doing something wrong. If not then all fine on that front.

--=20
Cheers,
Tor-bj=C3=B6rn Claesson




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 9 Jan 2023 08:28:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 09 03:28:33 2023
Received: from localhost ([127.0.0.1]:35711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEnWD-0005DX-20
	for submit <at> debbugs.gnu.org; Mon, 09 Jan 2023 03:28:33 -0500
Received: from tobias.gr ([80.241.217.52]:55282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1pEnWA-0005DN-Jj
 for 60640 <at> debbugs.gnu.org; Mon, 09 Jan 2023 03:28:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=B1ZF9U+Nq4azf
 FkD6bgXOdySfIp6tRD6Sea5/g2qfkw=;
 h=references:in-reply-to:subject:to:
 from:date; d=tobias.gr; b=CnUMLte1pdiJaupN4Gsb1GDpoxEajaBxXf6UnVmbQPbi
 Ycf9W7FlssNbhtEc8qZ6mDnDDgi6uaGtwdDi9ukS1nlmFlx2unvgZbXwJS1JdB+eaGd8bE
 qcSX7zmKUj37vFWKl0ZPWFE+XJ+H/9z0U8c0gzck9V2rb6dUxEjTcEZP/4D9qHaa4TlfJY
 B3I+cXv7zfondWYKkCUZZv1XLSc4bZE3BRZGvrIVVREEP58oFBK9h6jOJ/+gJNwyX9MCl/
 P2IF0V/XJQJaoIsLpmkrt+wmWlyrpLNDBQw6FI8cvcs84vEQ9fXYRyC2Zo2n2zoi83SmrD
 AfZWGv/LCdavrpyhKQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id ec14ad08
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 9 Jan 2023 08:28:23 +0000 (UTC)
Date: Mon, 09 Jan 2023 08:28:29 +0000
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: guix-patches@HIDDEN,
 =?ISO-8859-1?Q?Tor-bj=F6rn_Claesson?= <tclaesson@HIDDEN>,
 60640 <at> debbugs.gnu.org
Subject: Re: [bug#60640] Acknowledgement (Gnu: Add gdcm)
In-Reply-To: <CAO0k700SJqxsqHXjr=XOWijdeBvjeQzxW40E5pb+18d8sUXPig@HIDDEN>
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN>
 <CAO0k700SJqxsqHXjr=XOWijdeBvjeQzxW40E5pb+18d8sUXPig@HIDDEN>
Message-ID: <604C2BA9-1D59-4560-BE33-285FB879C3AA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Autocrypt: addr=me@HIDDEN; prefer-encrypt=mutual; keydata=
 mQINBFVks2ABEACjGBPhWf/qx0L9OhEIrAFTimo5dHa1FLy0AHaHvxmwYSIdJmERYGiNle1rcOvw
 cFRtu8KJUsrs27Vgoso3qHJpghVitUUf0v3ZuXQT9kfuQLz1Y8pyMzHwVFMLiJVj4Z3y7CJk+xyZ
 cpSAMbyPINbFVEhsK+z+8ojVGuaiucZkib6b67ySG6Pp1bon8xVvosj71ZRjfXh1t4X8laWO7fQq
 itT9lmc6DxbE/4vIhR+Vb2MblaA+DyHoNHGGao89h4CO99lfzWzsux41DnEG9d317sJRQTig6Wja
 EKHXZRA9FbfogD4SDa2uQYCpTJpsVjAyZyu2fuJ+t0zJJ+Ai9qDY87P6hOyd+/n8Eh2Y4TbxJiDo
 XUT72XY/RfPH1qrMIP3EI/NNL4LQeGG1n+625k3OVWcRVXG2vRrB6qurLmGkLEmjXWCFD9cCRGfH
 LeajLm9sM+t/nZPZ3btetcmK9tM2EwivyLUNhrTk73UUnI4CSAzdO2cISqo9zSMtFgj2alqd2fOR
 s7CKfEn+5PquruDbp/Ej7dOOrjgWSCXLDDYXRrtaKrLz/dhqq5ftFYi9tUTTQecFotM08fPtu+Kw
 JMP2ySHCkUqp0GvrUCeSRPAJZsmJrd535y+LlRhnqb0mbG4dgMa8A6xhkFYugnqldy/q7kX1EmRI
 686N7bA6fh1MCQARAQABtCRUb2JpYXMgR2VlcmluY2t4LVJpY2UgPG1lQHRvYmlhcy5ncj6JAlIE
 EwEKADwCHgECF4ACGQECGwMWIQT1vFU0w28Ah7OdNu8cncT+udt8SwUCXpe0rAYLCQgHCgQFFQoJ
 CAsFFgMCAQAACgkQHJ3E/rnbfEu5IhAAk+0BW/twLmx1xMmeXn+I7Ne6SG3++0TRBduEaGWV3n59
 lX6XPZUQdAPpS4uy0H+c90Owkw+aWUEwfyOWphrxZRtR2cCOP/3Pxj3Vgtz5RkY4u27lMj15jqa/
 p7l2l256ZKJOegr9TvOWtkhMp5lxeVHT6f/44Kv/r/8mMCgSnLXYrEWPE462xI+mIJOanHLJb6No
 f2xLRCvXoLLp7Yejjv1dwOO71R9PMRhtNy46pZM1ylQ++UTkeSocJw4aNtiu0DHOkX9AlNBkutIx
 x07RpO+MqJKlzzLeQiC/fE5+dR2itRONopwXAqN3MuT7MonQo5XifBn+VK8i9xZWTXZDkWItWtCC
 8oIj4zwxwFWiTmMwwSbI3Wdd/11Zw3CLc4Gd0M6NVgvAnuErQXSgr4lrWhZcncvi4L6EJTc9AUSa
 8UWPF+S9t+CHTukpJmcYnsccMkOBhT7OZlmWBsylrYK/JTRWqgWSHWdSKmOuLK+MGDneOZEHkEcf
 jeXRWvmG7MSU5tE/p7NDLIg9vkvhQV9b0q4OtY65uNWbRe2QRJaYMDcYUAeSZzivRa8VaoVen6tb
 FvH44zpCxubn23ABl9YIzwvJC++r+H2qLdLpy0cfITiZadZ74Ae0aosNw7XARS6OY+A03BfXyPiI
 2oW0jf/PdH9sh2mQrQxIQJ5cZz6Z3X20MFRvYmlhcyBHZWVyaW5ja3gtUmljZSAodG9iaWFzLmdy
 KSA8bWVAdG9iaWFzLmdyPokCNgQwAQoAIBYhBPW8VTTDbwCHs5027xydxP6523xLBQJZUuJkAh0g
 AAoJEBydxP6523xLwEoP/iaVWdICefmaZ+bkdUg6hwTKxSPlYdLoaCxYI5V2NnZYXG0dy47E7WJP
 4EmTDldcne4UG5NyCgXPSMZDNMqcddEMNbmlssTcLKyu6R/VvTcuL3pEhNoLzm9t2IHR/YGAHJIc
 pyfmJ3amGSlsbo6s6Vv+mbrJTRPIDpLUst/PDoGYihcSKTxoIw8RtNAy+FAliIdJ8ZuPA3BTxQei
 sQzgWJo68UInvnFp4juq0zupNDqKddemI8kZCRK/fFPBDD71nqiSJjx2tvbjkTiPU9gmTp7Nulgj
 ZATZIt0pUhn87w15ItzrsiEjTYCMTmHY5wnvyLarFKZLzQjgUJfsbv4WRJRnX0/EEJWMvMtSdtXL
 fjwTLrSGAr4vh13PMfE6uVkGkeCV/8BfGJqRE4zkI+QOVILw6VSAP6sdtGSGb52bcCuPj7p9zGIB
 IuKFudT+DzUb5uV2jbahSjJ8X4Ak/ruG2Hv3iICZawDpHV1JDNgY910KNi5T6gFrjFA2G6aiXDCO
 SlToLPnPBYH85UVOsp2VykE9AREKS7a7o76cibjwBNN+4xJqJRxhs9YH4JKzE3w/ptVnx49QFBGc
 pjPkzMTs7DtanD8iqL4J6afnycv9KqIlNJONaMHvzxeunV7QCsoF6DdusZJKFMexiDBaOFUmGFFS
 XfzK2oNjknx1QApyTPvh
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 60640
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Tor-bj=C3=B6rn,

On 8 January 2023 08:04:40 UTC, "Tor-bj=C3=B6rn Claesson" <tclaesson@gmail=
=2Ecom> wrote:
>Den s=C3=B6n 8 jan=2E 2023 kl 10:00 skrev Tor-bj=C3=B6rn Claesson <tclaes=
son@gmail=2Ecom>:
>
>>
>> 5=2E I'm not sure how to specify util-linux:bin as an input?
>>
>I mean util-linux:lib=2E=2E=2E

Exactly like you did=2E  Are you seeing util-linux-related failures?


Kind regards,

T G-R

Sent on the go=2E  Excuse or enjoy my brevity=2E




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Jan 2023 08:28:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 09 03:28:38 2023
Received: from localhost ([127.0.0.1]:35714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEnWI-0005Dp-CU
	for submit <at> debbugs.gnu.org; Mon, 09 Jan 2023 03:28:38 -0500
Received: from lists.gnu.org ([209.51.188.17]:34380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1pEnWF-0005Dg-8B
 for submit <at> debbugs.gnu.org; Mon, 09 Jan 2023 03:28:36 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1pEnWE-00034q-TR
 for guix-patches@HIDDEN; Mon, 09 Jan 2023 03:28:34 -0500
Received: from tobias.gr ([2a02:c205:2020:6054::1])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1pEnWC-00037r-OL
 for guix-patches@HIDDEN; Mon, 09 Jan 2023 03:28:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=B1ZF9U+Nq4azf
 FkD6bgXOdySfIp6tRD6Sea5/g2qfkw=;
 h=references:in-reply-to:subject:to:
 from:date; d=tobias.gr; b=CnUMLte1pdiJaupN4Gsb1GDpoxEajaBxXf6UnVmbQPbi
 Ycf9W7FlssNbhtEc8qZ6mDnDDgi6uaGtwdDi9ukS1nlmFlx2unvgZbXwJS1JdB+eaGd8bE
 qcSX7zmKUj37vFWKl0ZPWFE+XJ+H/9z0U8c0gzck9V2rb6dUxEjTcEZP/4D9qHaa4TlfJY
 B3I+cXv7zfondWYKkCUZZv1XLSc4bZE3BRZGvrIVVREEP58oFBK9h6jOJ/+gJNwyX9MCl/
 P2IF0V/XJQJaoIsLpmkrt+wmWlyrpLNDBQw6FI8cvcs84vEQ9fXYRyC2Zo2n2zoi83SmrD
 AfZWGv/LCdavrpyhKQ==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id ec14ad08
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 9 Jan 2023 08:28:23 +0000 (UTC)
Date: Mon, 09 Jan 2023 08:28:29 +0000
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: guix-patches@HIDDEN,
 =?ISO-8859-1?Q?Tor-bj=F6rn_Claesson?= <tclaesson@HIDDEN>,
 60640 <at> debbugs.gnu.org
Subject: Re: [bug#60640] Acknowledgement (Gnu: Add gdcm)
In-Reply-To: <CAO0k700SJqxsqHXjr=XOWijdeBvjeQzxW40E5pb+18d8sUXPig@HIDDEN>
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN>
 <CAO0k700SJqxsqHXjr=XOWijdeBvjeQzxW40E5pb+18d8sUXPig@HIDDEN>
Message-ID: <604C2BA9-1D59-4560-BE33-285FB879C3AA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Autocrypt: addr=me@HIDDEN; prefer-encrypt=mutual; keydata=
 mQINBFVks2ABEACjGBPhWf/qx0L9OhEIrAFTimo5dHa1FLy0AHaHvxmwYSIdJmERYGiNle1rcOvw
 cFRtu8KJUsrs27Vgoso3qHJpghVitUUf0v3ZuXQT9kfuQLz1Y8pyMzHwVFMLiJVj4Z3y7CJk+xyZ
 cpSAMbyPINbFVEhsK+z+8ojVGuaiucZkib6b67ySG6Pp1bon8xVvosj71ZRjfXh1t4X8laWO7fQq
 itT9lmc6DxbE/4vIhR+Vb2MblaA+DyHoNHGGao89h4CO99lfzWzsux41DnEG9d317sJRQTig6Wja
 EKHXZRA9FbfogD4SDa2uQYCpTJpsVjAyZyu2fuJ+t0zJJ+Ai9qDY87P6hOyd+/n8Eh2Y4TbxJiDo
 XUT72XY/RfPH1qrMIP3EI/NNL4LQeGG1n+625k3OVWcRVXG2vRrB6qurLmGkLEmjXWCFD9cCRGfH
 LeajLm9sM+t/nZPZ3btetcmK9tM2EwivyLUNhrTk73UUnI4CSAzdO2cISqo9zSMtFgj2alqd2fOR
 s7CKfEn+5PquruDbp/Ej7dOOrjgWSCXLDDYXRrtaKrLz/dhqq5ftFYi9tUTTQecFotM08fPtu+Kw
 JMP2ySHCkUqp0GvrUCeSRPAJZsmJrd535y+LlRhnqb0mbG4dgMa8A6xhkFYugnqldy/q7kX1EmRI
 686N7bA6fh1MCQARAQABtCRUb2JpYXMgR2VlcmluY2t4LVJpY2UgPG1lQHRvYmlhcy5ncj6JAlIE
 EwEKADwCHgECF4ACGQECGwMWIQT1vFU0w28Ah7OdNu8cncT+udt8SwUCXpe0rAYLCQgHCgQFFQoJ
 CAsFFgMCAQAACgkQHJ3E/rnbfEu5IhAAk+0BW/twLmx1xMmeXn+I7Ne6SG3++0TRBduEaGWV3n59
 lX6XPZUQdAPpS4uy0H+c90Owkw+aWUEwfyOWphrxZRtR2cCOP/3Pxj3Vgtz5RkY4u27lMj15jqa/
 p7l2l256ZKJOegr9TvOWtkhMp5lxeVHT6f/44Kv/r/8mMCgSnLXYrEWPE462xI+mIJOanHLJb6No
 f2xLRCvXoLLp7Yejjv1dwOO71R9PMRhtNy46pZM1ylQ++UTkeSocJw4aNtiu0DHOkX9AlNBkutIx
 x07RpO+MqJKlzzLeQiC/fE5+dR2itRONopwXAqN3MuT7MonQo5XifBn+VK8i9xZWTXZDkWItWtCC
 8oIj4zwxwFWiTmMwwSbI3Wdd/11Zw3CLc4Gd0M6NVgvAnuErQXSgr4lrWhZcncvi4L6EJTc9AUSa
 8UWPF+S9t+CHTukpJmcYnsccMkOBhT7OZlmWBsylrYK/JTRWqgWSHWdSKmOuLK+MGDneOZEHkEcf
 jeXRWvmG7MSU5tE/p7NDLIg9vkvhQV9b0q4OtY65uNWbRe2QRJaYMDcYUAeSZzivRa8VaoVen6tb
 FvH44zpCxubn23ABl9YIzwvJC++r+H2qLdLpy0cfITiZadZ74Ae0aosNw7XARS6OY+A03BfXyPiI
 2oW0jf/PdH9sh2mQrQxIQJ5cZz6Z3X20MFRvYmlhcyBHZWVyaW5ja3gtUmljZSAodG9iaWFzLmdy
 KSA8bWVAdG9iaWFzLmdyPokCNgQwAQoAIBYhBPW8VTTDbwCHs5027xydxP6523xLBQJZUuJkAh0g
 AAoJEBydxP6523xLwEoP/iaVWdICefmaZ+bkdUg6hwTKxSPlYdLoaCxYI5V2NnZYXG0dy47E7WJP
 4EmTDldcne4UG5NyCgXPSMZDNMqcddEMNbmlssTcLKyu6R/VvTcuL3pEhNoLzm9t2IHR/YGAHJIc
 pyfmJ3amGSlsbo6s6Vv+mbrJTRPIDpLUst/PDoGYihcSKTxoIw8RtNAy+FAliIdJ8ZuPA3BTxQei
 sQzgWJo68UInvnFp4juq0zupNDqKddemI8kZCRK/fFPBDD71nqiSJjx2tvbjkTiPU9gmTp7Nulgj
 ZATZIt0pUhn87w15ItzrsiEjTYCMTmHY5wnvyLarFKZLzQjgUJfsbv4WRJRnX0/EEJWMvMtSdtXL
 fjwTLrSGAr4vh13PMfE6uVkGkeCV/8BfGJqRE4zkI+QOVILw6VSAP6sdtGSGb52bcCuPj7p9zGIB
 IuKFudT+DzUb5uV2jbahSjJ8X4Ak/ruG2Hv3iICZawDpHV1JDNgY910KNi5T6gFrjFA2G6aiXDCO
 SlToLPnPBYH85UVOsp2VykE9AREKS7a7o76cibjwBNN+4xJqJRxhs9YH4JKzE3w/ptVnx49QFBGc
 pjPkzMTs7DtanD8iqL4J6afnycv9KqIlNJONaMHvzxeunV7QCsoF6DdusZJKFMexiDBaOFUmGFFS
 XfzK2oNjknx1QApyTPvh
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

Hi Tor-bj=C3=B6rn,

On 8 January 2023 08:04:40 UTC, "Tor-bj=C3=B6rn Claesson" <tclaesson@gmail=
=2Ecom> wrote:
>Den s=C3=B6n 8 jan=2E 2023 kl 10:00 skrev Tor-bj=C3=B6rn Claesson <tclaes=
son@gmail=2Ecom>:
>
>>
>> 5=2E I'm not sure how to specify util-linux:bin as an input?
>>
>I mean util-linux:lib=2E=2E=2E

Exactly like you did=2E  Are you seeing util-linux-related failures?


Kind regards,

T G-R

Sent on the go=2E  Excuse or enjoy my brevity=2E




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 8 Jan 2023 08:05:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 03:05:00 2023
Received: from localhost ([127.0.0.1]:59784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEQfs-000845-DD
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 03:05:00 -0500
Received: from mail-ed1-f48.google.com ([209.85.208.48]:34436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tclaesson@HIDDEN>) id 1pEQfq-00083r-DK
 for 60640 <at> debbugs.gnu.org; Sun, 08 Jan 2023 03:04:58 -0500
Received: by mail-ed1-f48.google.com with SMTP id z11so8146365ede.1
 for <60640 <at> debbugs.gnu.org>; Sun, 08 Jan 2023 00:04:58 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :from:to:cc:subject:date:message-id:reply-to;
 bh=9htsSlwYTd+xqIFDMVWMmSvIRSdxlqs84rDd72pbkvg=;
 b=hl2Xq0I5QFAtJe61708awNgbhB1MWUjEKupKNH2YuZBEP9ISQW5bgBPLav5+WgHQTW
 exWxreObwAIxnUhjJTIs1NYd9VmX3VmbBpFkZrXnemQcjwYgCUq6yuj3Uy+19Y0t6Vkj
 RIqcpNHq8jYumbhOBvHXb8Ut5tM8REQ1EMu3rGrXar95K3MuR5nwjYJPxCpRZ65CY/1q
 eCUgQJsYP1NGLOCl1ba2oMu/kIfbx0VPrLNqGF7Zh0qF9Phdab7SqmaIvBgGd3vChHKC
 o4T9MvSyS7BjcIvHMSbx14wnykBp7iwcbzLoyB1hOIiL4feeE9Orhcvrtd22F6tJTIJv
 2haw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=9htsSlwYTd+xqIFDMVWMmSvIRSdxlqs84rDd72pbkvg=;
 b=NqrbH+F/w42krUDgNePghe0sQwy0IOsmG2M277MbvGFFflu9CNkD383Tb7QxMn9MOY
 U/wdW1QAfyqlYK8eXJR2KDjA1sqeNGjPRP+2y6O9QlnlOylqyefwc3ZdAonQa/bIB4E1
 VVcreAMWt/Ed5RHts+iCwK3IXLdZAaXx6M3IpRNqgjDYmqyx4jIQ1duhzbYiML4JAuU/
 V9N+8+bgONyUGwd61yH+A0OxxsDcOmzNPZBFpYpZ4x0Rg1plmMT8wPhHWg63KXCxtg8F
 9RrY+Hn5iDjHfJ8O8C4rfbg4Q7HaoCHMftr9pnJbaCBVS/fCGIlyS812W18mo/IUYQKi
 XBmw==
X-Gm-Message-State: AFqh2koZ+OAfa0xmoFPi2WM/il1jCPNEWlxLvI3d7jcj+K8uF6X8kBj3
 5bH4l4w/+EsB4SduKWcBoVABgS157Fb/F1dSh8XugddQ
X-Google-Smtp-Source: AMrXdXu1u05oDkPkmeB74jpEFe3PfQtcGj5W3eCnRu3U/N1fHYuNZFbL+F0tdY//RSU+FIOqb3tbnmxFgHm98FfjZJc=
X-Received: by 2002:a50:8710:0:b0:47d:de33:4a6e with SMTP id
 i16-20020a508710000000b0047dde334a6emr5941381edb.101.1673165092164; Sun, 08
 Jan 2023 00:04:52 -0800 (PST)
MIME-Version: 1.0
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
 <87y1qdo3qq.fsf@HIDDEN>
In-Reply-To: <87y1qdo3qq.fsf@HIDDEN>
From: =?UTF-8?Q?Tor=2Dbj=C3=B6rn_Claesson?= <tclaesson@HIDDEN>
Date: Sun, 8 Jan 2023 10:04:40 +0200
Message-ID: <CAO0k700SJqxsqHXjr=XOWijdeBvjeQzxW40E5pb+18d8sUXPig@HIDDEN>
Subject: Re: bug#60640: Acknowledgement (Gnu: Add gdcm)
To: 60640 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000f8186d05f1bc1ad1"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60640
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000f8186d05f1bc1ad1
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Den s=C3=B6n 8 jan. 2023 kl 10:00 skrev Tor-bj=C3=B6rn Claesson <tclaesson@=
gmail.com>:

>
> 5. I'm not sure how to specify util-linux:bin as an input?
>
I mean util-linux:lib...

--000000000000f8186d05f1bc1ad1
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><br></div><br><div class=3D"gmail_quote">=
<div dir=3D"ltr" class=3D"gmail_attr">Den s=C3=B6n 8 jan. 2023 kl 10:00 skr=
ev Tor-bj=C3=B6rn Claesson &lt;<a href=3D"mailto:tclaesson@HIDDEN">tclae=
sson@HIDDEN</a>&gt;:<br></div><blockquote class=3D"gmail_quote" style=3D=
"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-le=
ft:1ex"><br>
5. I&#39;m not sure how to specify util-linux:bin as an input?<br></blockqu=
ote><div>I mean util-linux:lib... <br></div></div></div>

--000000000000f8186d05f1bc1ad1--




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at 60640 <at> debbugs.gnu.org:


Received: (at 60640) by debbugs.gnu.org; 8 Jan 2023 08:00:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 03:00:24 2023
Received: from localhost ([127.0.0.1]:59778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEQbP-0007xH-OB
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 03:00:23 -0500
Received: from mail-lf1-f52.google.com ([209.85.167.52]:35638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tclaesson@HIDDEN>) id 1pEQbN-0007wz-Q7
 for 60640 <at> debbugs.gnu.org; Sun, 08 Jan 2023 03:00:22 -0500
Received: by mail-lf1-f52.google.com with SMTP id b3so8392604lfv.2
 for <60640 <at> debbugs.gnu.org>; Sun, 08 Jan 2023 00:00:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:in-reply-to:date
 :subject:to:from:user-agent:references:from:to:cc:subject:date
 :message-id:reply-to;
 bh=7mSHjw9ZSC/30jyZhhJGniKofGBedtW+mcpvWUPkm6I=;
 b=CDU/nK81XAQfchEHenIkydgWwVozkMRjdR+67Pms4C2yS61CeuQ2RXsCxU5xrSi6NT
 hqWN3ne2EVwBlMIgqsuN063cTTZXboN9mj5+tlteZZfdx7G2Dudc1jYD0uwnqwp8zMxg
 FwHri805I5sR4fAH3MOqF+s1+gBFywzK3p6q4+ASm5VcVkw6MkBJFbkFoJwvo5cG7R2C
 5kj0tJO1/zs3wlfAmoSMLPOBuvzWq+cV7EWrWXecipUq1vwgfYRJZNuQZR2v4EqnbwTc
 3ETTMXT1Mjn8rFRI3S+2jX8nXZjYnHUfME0SmETbDqn6L+xLsOWxV8Qnvx6+2lezmA5g
 1RkA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:in-reply-to:date
 :subject:to:from:user-agent:references:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=7mSHjw9ZSC/30jyZhhJGniKofGBedtW+mcpvWUPkm6I=;
 b=4u3Uk0jSGqkMDM7sQbpEBTFiI0tZdePyGDZUXV8ukBgiFybGWwW0BIGWe11zww6dVi
 6cJOo9o74fo2nP+xXMaofhMfoKBQY0aGX4edahbCZj/DuBZ2x86iIz78aLdWigx0RwL+
 vZGyNP59lQcW8sIqVEUU3ljmX0Tsk9GTDp3hxfFAjyrMcb5fvJR7/xk97GjGDvCZ95SO
 HTwUGRliwwlp+dZB8oD1g+nDnaqbyHa1toyiN9/tOJDoBiwTO4+rZ9Vc7IOd8lXw/yt6
 3ubvOcCdHkyAq4d63MYYClChCmjhCFtEQX5dsUmgcfPX7WBeFAyY8YbgkCk0/8GlVFQO
 JcCg==
X-Gm-Message-State: AFqh2krqURgNr5GMCdrDpgRno1LxdAXbHT0jVT89MMn5Z1y26gLHlQZQ
 UpzYYvZzdThkJPRRoFLFzj0mFlEuhRs=
X-Google-Smtp-Source: AMrXdXv1OlmizYpDWdUAJvhxCWflE6Au1Z1ctCOKNODPiWM5tGvfN6BqsU34Laov5iy+9ozsoFpygg==
X-Received: by 2002:ac2:53a3:0:b0:4bc:4ad0:4142 with SMTP id
 j3-20020ac253a3000000b004bc4ad04142mr19150052lfh.58.1673164815280; 
 Sun, 08 Jan 2023 00:00:15 -0800 (PST)
Received: from barbar (212-90-81-204.bb.dnainternet.fi. [212.90.81.204])
 by smtp.gmail.com with ESMTPSA id
 dt17-20020a0565122a9100b004cb061887b5sm943798lfb.126.2023.01.08.00.00.14
 for <60640 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 08 Jan 2023 00:00:14 -0800 (PST)
References: <877cxyp1wf.fsf@HIDDEN>
 <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
User-agent: mu4e 1.8.13; emacs 28.2
From: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
To: 60640 <at> debbugs.gnu.org
Subject: Re: bug#60640: Acknowledgement (Gnu: Add gdcm)
Date: Sun, 08 Jan 2023 09:59:40 +0200
In-reply-to: <handler.60640.B.167314095112989.ack <at> debbugs.gnu.org>
Message-ID: <87y1qdo3qq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60640
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Hi!

This patch adds GDCM (a nice C++ library for DICOM, as in medical imaging),
with a few wharts:
1. I have not yet been able to build the bin output,
which consists of utilities for manipulating DICOM data.=20

2. It does not build pdf-documentation, since that would require
texlive as a native input.

3. It does not perform tests.

4. It uses socketxx, ljpeg and papyrus3 from the gdcm sources.=20

5. I'm not sure how to specify util-linux:bin as an input?

Cheers,
Tor-bj=C3=B6rn Claesson

help-debbugs@HIDDEN (GNU bug Tracking System) writes:

> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  guix-patches@HIDDEN
>
> If you wish to submit further information on this problem, please
> send it to 60640 <at> debbugs.gnu.org.
>
> Please do not send mail to help-debbugs@HIDDEN unless you wish
> to report a problem with the Bug-tracking system.


--=20
Mvh,
Tor-bj=C3=B6rn Claesson




Information forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jan 2023 01:22:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 07 20:22:30 2023
Received: from localhost ([127.0.0.1]:59404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEKOM-0003NK-FG
	for submit <at> debbugs.gnu.org; Sat, 07 Jan 2023 20:22:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:46254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tclaesson@HIDDEN>) id 1pEF5L-0005zR-3f
 for submit <at> debbugs.gnu.org; Sat, 07 Jan 2023 14:42:31 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tclaesson@HIDDEN>)
 id 1pEF5K-0007Xg-V1
 for guix-patches@HIDDEN; Sat, 07 Jan 2023 14:42:30 -0500
Received: from mail-lf1-x12e.google.com ([2a00:1450:4864:20::12e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <tclaesson@HIDDEN>)
 id 1pEF5J-0006dC-8v
 for guix-patches@HIDDEN; Sat, 07 Jan 2023 14:42:30 -0500
Received: by mail-lf1-x12e.google.com with SMTP id bu8so6841193lfb.4
 for <guix-patches@HIDDEN>; Sat, 07 Jan 2023 11:42:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:subject:to:from:user-agent:from:to:cc
 :subject:date:message-id:reply-to;
 bh=WOflghYWxO2QAkOfDKFWzbK4LOLT2l/uVh3lZmbdUnI=;
 b=Zv/Ia/38fnwU8H1rIYs/Uya8sKTcOkoUBHW3ANn5cccOeA5vO/ZrRrmTKn4nWHGNfF
 F8zeSlOZoKWzhSFnil8xaDQtkv4O/3FLTJqp7z39FQen9J/eObRIHVacHG7l3Piqm1Sq
 92YIs11JzCmavy3Y5XHsW2gvImez1/VKIih+VPy4cuxi3s0piZSnTDKYX/s0TE3oRIwl
 JH9T78z7mRKuDSrHlSCtBrPFVGidwz7yu1ILep6X6K/BPGOkJoDciTkHtWF4y7TscJQN
 OqDDDl69g4qtSuyPu64zJZ0w1Ytm90dY0drwJhD9yxq6hvkmARV2c1baL9oNR+8K+aXM
 a+zQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:subject:to:from:user-agent
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=WOflghYWxO2QAkOfDKFWzbK4LOLT2l/uVh3lZmbdUnI=;
 b=LG+fSM8zYUHZBhRTy9ND9dKYjvj9ZdtAxcFs/tFRy5FePxIoc381rVp03fcSsyvDDU
 fatdc+mx86yirhXxf6Mew2gg+NqUm/y6WSh0oTDqV1mhIyNmSeh8Msm/OgSlkzlD0xmb
 AeYIgP8Owdvr+jdiQSqKmHd1L9rxHjk7fb+pvJWUkgzR1Z3PvoFwLiUstRESqzvnbWJA
 Lzd4b0xCqhMac5j1UK0bl7Dpw8hzdwwMolcu2JdhgkqeAYPBgMnkswqCDGNm85BaB/tF
 XEtjvMRozg9NsimHp1q169KCv2ZjZbmhy/fgjQTJ4E91iOEuysVlKsgojHyvgkpCefQ7
 Ay1w==
X-Gm-Message-State: AFqh2kqRvsRxzJqu2yNTzRwZV/GDbTip2WRt6ZWXopQ+esQ6xOwBxTk6
 /O3AtrHdHFyvyT0Tt3gx3Dj+/NJLpBI=
X-Google-Smtp-Source: AMrXdXtPJsls9He0GH4aVit+pDXhkRA/5YKwJ9ryQ02Lm0Oa6cysPeF7XsvF2llghaNJsNycvFl5Xg==
X-Received: by 2002:a05:6512:3b87:b0:4a4:68b7:d623 with SMTP id
 g7-20020a0565123b8700b004a468b7d623mr19607866lfv.10.1673120546284; 
 Sat, 07 Jan 2023 11:42:26 -0800 (PST)
Received: from barbar (212-90-81-204.bb.dnainternet.fi. [212.90.81.204])
 by smtp.gmail.com with ESMTPSA id
 m3-20020a056512114300b004cb454bf010sm703864lfg.267.2023.01.07.11.42.25
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 07 Jan 2023 11:42:25 -0800 (PST)
User-agent: mu4e 1.8.13; emacs 28.2
From: =?utf-8?Q?Tor-bj=C3=B6rn?= Claesson <tclaesson@HIDDEN>
To: guix-patches@HIDDEN
Subject: Gnu: Add gdcm
Date: Sat, 07 Jan 2023 21:40:42 +0200
Message-ID: <877cxyp1wf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2a00:1450:4864:20::12e;
 envelope-from=tclaesson@HIDDEN; helo=mail-lf1-x12e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 07 Jan 2023 20:22:26 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

gnu/packages/image-processing.scm | 72 +++++++++++++++++++++++++++++++
 1 file changed, 72 insertions(+)

diff --git a/gnu/packages/image-processing.scm b/gnu/packages/image-processing.scm
index 70c820e76b..271593b5f9 100644
--- a/gnu/packages/image-processing.scm
+++ b/gnu/packages/image-processing.scm
@@ -99,6 +99,7 @@ (define-module (gnu packages image-processing)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
   #:use-module (gnu packages video)
+  #:use-module (gnu packages web)
   #:use-module (gnu packages xiph)
   #:use-module (gnu packages xml)
   #:use-module (gnu packages xorg)
@@ -1776,3 +1777,74 @@ (define-public charls
  to have them encoded to JPEG-LS, or JPEG-LS streams, which CharLS will decode
 to images.")
     (license license:bsd-3)))
+
+(define-public gdcm
+  (package
+    (name "gdcm")
+    (version "3.0.20")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/malaterre/GDCM/")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1w78cmm9q7aavs7svdkl4dgilcqk4yazci9m6x7icrssb7cj991i"))))
+    (build-system cmake-build-system)
+    (outputs '("out" "doc"))
+    (arguments
+     (list #:tests? #f
+           #:phases #~(modify-phases %standard-phases
+                        (add-before 'configure 'set-LDFLAGS
+                          (lambda* (#:key inputs outputs #:allow-other-keys)
+                            (setenv "LDFLAGS"
+                                    (string-append "-Wl,-rpath="
+                                                   #$output "/lib"))))
+                        (add-before 'build 'patch-gdcm-charls.h
+                          (lambda _
+                            (substitute* "../source/Utilities/gdcm_charls.h"
+                              (("# include <CharLS/charls.h>")
+                               "# include <charls/charls.h>")) #t)))
+           #:configure-flags #~(list "-DCMAKE_SKIP_RPATH:BOOL=YES"
+                                     "-DCMAKE_BUILD_TYPE:STRING=Release"
+                                     "-DCMAKE_C_FLAGS=-fvisibility=hidden"
+                                     "-DCMAKE_CXX_FLAGS=-fvisibility=hidden"
+                                     "-DGDCM_BUILD_SHARED_LIBS:BOOL=ON"
+                                     "-DGDCM_DOCUMENTATION:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_EXPAT:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_ZLIB:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_CHARLS:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_POPPLER:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_LIBXML2:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_JSON:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_UUID:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_OPENJPEG:BOOL=ON"
+                                     "-DGDCM_USE_SYSTEM_OPENSSL:BOOL=ON"
+                                     "-DGDCM_PDF_DOCUMENTATION:BOOL=OFF"
+                                     "-DGCM_BUILD_TESTING:BOOL=OFF"
+                                     "-DGDCM_BUILD_APPLICATIONS:BOOL=OFF"
+                                     "-DGDCM_USE_SYSTEM_PAPYRUS3:BOOL=OFF"
+                                     "-DGDCM_USE_SYSTEM_SOCKETXX:BOOL=OFF"
+                                     "-DGDCM_USE_SYSTEM_LJPEG:BOOL=OFF")))
+    (inputs (list openssl
+                  expat
+                  charls
+                  poppler
+                  libxml2
+                  json-c
+                  openjpeg
+                  `(,util-linux "lib")
+                  zlib))
+    (native-inputs (list git pkg-config doxygen graphviz))
+    (home-page "https://gdcm.sourceforge.net")
+    (synopsis
+     "C++ library dedicated to reading/parsing and writing DICOM medical files")
+    (description
+     "Grassroots DICOM (GDCM) is an implementation of the DICOM standard
+designed to be open source so that researchers may access clinical data
+directly.  GDCM includes a file format definition and a network communications
+protocol, both of which should be extended to provide a full set of tools for
+a researcher or small medical imaging vendor to interface with an existing
+medical database.")
+    (license license:bsd-3)))
-- 
2.38.1





Acknowledgement sent to Tor-björn Claesson <tclaesson@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60640; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 11 Jan 2023 17:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.